<?php

namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\Geral\Repository\PaisRepository;

class PaisService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, PaisRepository $paisRepository) {
        $this->entityManager  = $entityManager;
        $this->hcmParameters  = $hcmParameters;
        $this->paisRepository = $paisRepository;
    }
    
    public function validaRestricaoChavePrimaria($cdPais, $nmpais, $isNew){
        return $this->paisRepository->validaRestricaoChavePrimaria($cdPais, $nmpais, $isNew);
    }

    public function validaExistenciaEstado($cdPais){
        return $this->paisRepository->validaExistenciaEstado($cdPais);
    }

    public function validaCamposVaziosPais(&$row){
        $row['CDPAISGMB'] = (!isset($row['CDPAISGMB']) || empty($row['CDPAISGMB'])) ? NULL : $row['CDPAISGMB'];
        $row['IDATIVO'] = (!isset($row['IDATIVO']) || empty($row['IDATIVO'])) ? 'S' : $row['IDATIVO'];
    }
}