<?php
namespace HCM\Util\ModeloImportacao\References;

use HCM\Util\ModeloImportacao\BasicEntity;
use HCM\Util\ModeloImportacao\EntityContainer;
use \HCM\Util\ModeloImportacao\References\Reference;

class ForeignKey implements Reference
{

	const REFERENCE_FOREIGN_KEY = "/\#[a-zA-Z_]+\/[a-zA-Z_]+/";

	public function getRegularExpression() 
	{
		return self::REFERENCE_FOREIGN_KEY;
	}

	public function getValorReferencia($nomeTabela, $nomeColuna, $metaDado, $valorFixo, 
									   $entityContainer, $linhaDados = null, $fixedFields = null)
	{
		preg_match(self::REFERENCE_FOREIGN_KEY, $metaDado, $result);
		$dadoColuna = $this->getForeignKeyValue($result[0], $entityContainer);
		$padrao = "/".str_replace("/", "\/", $result[0])."/";
		return preg_replace($padrao, $dadoColuna, $metaDado);
	}

	private function getForeignKeyValue($padrao, EntityContainer $entityContainer)
	{
		list($table, $column) = explode("/", str_replace("#", "", $padrao));
		$entidade = $entityContainer->getTabela($table);
		$result = $entidade->getField($column);

		if ($result == null) {
			$result = self::PADRAO_INVALIDO;
		}

		return $result;
	}

}