<?php
namespace Geral\Repositories;

class Tipoctpagar extends \Doctrine\ORM\EntityRepository
{
    public function verificaTipoContaPagar($cdfilial, $nrlanctonf, $nrorg)
    {
        $sql = <<<SQL
         SELECT
               MIN(C.QTDIASVENPAG), C.CDTPCTPAGAR, T.CDCLASSFINA
            FROM
               CONTAPAGAR C, TIPOCTPAGAR T
            WHERE
               (C.CDFILIAL = :P_CDFILIAL) AND
               (C.NRLANCTONF = :P_NRLANCTONF) AND
               (C.NRORG = :P_NRORG)         AND
               (C.CDTPCTPAGAR IS NOT NULL) AND
               (C.CDTPCTPAGAR = T.CDTPCTPAGAR) AND
               (C.NRORG = T.NRORG)
            GROUP BY
               C.CDTPCTPAGAR, T.CDCLASSFINA
SQL;

        $params = array(
            "P_NRLANCTONF" => $nrlanctonf,
            "P_CDFILIAL"   => $cdfilial,
            "P_NRORG"      => $nrorg
        );

        try {
            return $this->getEntityManager()->getConnection()->fetchAssoc($sql, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }
}