<?php

/**
 * Fpagfipmagnet
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     alessandrobartels - 23/05/2011 10:33:32 <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class Fpagfipmagnet extends DaoFpaGfipmagnet
{


    /**
     * Retorna registros.
     *
     * @param string $mesCompetencia Mes de competencia.
     * @param string $nrOrg          N�mero da Organiza��o.
     *
     * @return array FpagfipmagnetEntity
     *
     * @author alessandrobartels - 03/06/2011
     * 		   alessandrobartels - 06/06/2011 - Implementado clasula de ORDER BY
     */
    public static function retornaRegistros($mesCompetencia, $nrOrg){
        $resultado = self::getObjectsByWhere(
            'MESCOMPETENCIA = ?
             AND NRORG = ?',
            array(
             $mesCompetencia, $nrOrg,
            ), 'IDTPINSCESTRUTU, CDINSCESTRUT, IDTPINSCESTTOMA, CDINSCESTRUTOMA, NRPISPASEPPES, IDTIPOREGISTRO'
        );
        return $resultado;
    }


    /**
     * Retorna registros por tipo.
     *
     * @param TkDateTime $mesCompetencia    Mes de competencia.
     * @param string     $listaTipoRegistro Lista de tipos de registros.
     * @param integer    $nrOrg             Numero da Organizacao.
     *
     * @return FpagfipmagnetEntity
     *
     * @author alessandrobartels - 02/06/2011
     */
    public static function retornaRegistrosPorTipo(TkDateTime $mesCompetencia, $listaTipoRegistro, $nrOrg){
        $resultado = self::getObjectsByWhere(
            'MESCOMPETENCIA = ?
            AND IDTIPOREGISTRO IN ('.$listaTipoRegistro.')
            AND NRORG = ?',
            array(
             $mesCompetencia, $nrOrg,
            )
        );
        return $resultado;
    }


    /**
     * Retorna registro relacionados ao trabalhador (Tipo de Registro 30 e 32).
     *
     * @param string $nrOrg                Numero da Organizacao.
     * @param string $mesCompetencia       Mes de competencia.
     * @param string $tipoRegistro         Tipo de registro.
     * @param string $tipoInscricao        Tipo de Inscricao.
     * @param string $nrInscricao          Numero de Inscricao.
     * @param string $tipoInscricaoTom     Tipo de Inscricao do Tomador.
     * @param string $nrInscricaoTom       Numero de Inscricao do Tomador.
     * @param string $nrPisPasepCi         Numero de PIS, PASEP ou CI.
     * @param string $dataAdmissao         Data de Admissao.
     * @param string $categoriaTrabalhador Categoria do trabalhador.
     *
     * @return FpagfipmagnetEntity
     *
     * @author alessandrobartels - 02/06/2011
     *         alessandrobartels - 06/01/2012 - Inseridos dados do tomador.
     */
    public static function retornaRegistrosTrabalhador(
        $mesCompetencia, $nrOrg, $tipoRegistro, $tipoInscricao, $nrInscricao, $tipoInscricaoTom, $nrInscricaoTom, $nrPisPasepCi,
        $dataAdmissao, $categoriaTrabalhador
    ){
        $resultado = self::getObjectByWhere(
            'MESCOMPETENCIA = ?
             AND NRORG = ?
             AND IDTIPOREGISTRO = ?
             AND IDTPINSCESTRUTU = ?
             AND CDINSCESTRUT = ?
             AND IDTPINSCESTTOMA = ?
             AND CDINSCESTRUTOMA = ?
             AND NRPISPASEPPES = ?
             AND DTADMISSAOVINC = ?
             AND IDCATEGTRAB = ?',
            array(
             $mesCompetencia, $nrOrg, $tipoRegistro, $tipoInscricao, $nrInscricao, $tipoInscricaoTom, $nrInscricaoTom,
             $nrPisPasepCi, $dataAdmissao, $categoriaTrabalhador,
            )
        );

        return $resultado;
    }


}