CREATE TABLE USR_PROT_PRODUTO
(CDPRODUTO      VARCHAR2(20) NOT NULL,
 NMPRODUTO      VARCHAR2(50) NOT NULL,
 SGUNIDADE      VARCHAR2(10) NOT NULL,
 VRFATOCONV     FLOAT,
 IDPRODATIVPR   VARCHAR2(1),
 GRUPO_PROT     VARCHAR2(6)  NOT NULL,
 CONTA_CONTABIL VARCHAR2(20),
 NCM_PROD       VARCHAR2(10),
 IDINTERFACE    VARCHAR2(1)  NOT NULL,
 STATUS         VARCHAR2(1)  NOT NULL,
 LOG_ERRO       VARCHAR2(250),
 DTGRAVACAO     DATE         NOT NULL,
 HRGRAVACAO     VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO   DATE,
 HRIMPORTACAO   VARCHAR2(5))

/

CREATE TABLE USR_PROT_FORNECEDOR
(CDFORNECEDOR VARCHAR2(20) NOT NULL,
 NMRAZAOSOC   VARCHAR2(40) NOT NULL,
 NMFANTFORNE  VARCHAR2(40) NOT NULL,
 DSENDERECO   VARCHAR2(40),
 CDPAIS       VARCHAR2(4)  NOT NULL,
 SGESTADO     VARCHAR2(2)  NOT NULL,
 CDMUNCIPIO   VARCHAR2(7)  NOT NULL,
 CDCEP        VARCHAR2(15),
 NMBAIRRO     VARCHAR2(30),
 EMAIL        VARCHAR2(40),
 IDFORNATIV   VARCHAR2(1),
 CDCONTCTBL   VARCHAR2(20),
 IDINTERFACE  VARCHAR2(1)  NOT NULL,
 STATUS       VARCHAR2(1)  NOT NULL,
 LOG_ERRO     VARCHAR2(250),
 DTGRAVACAO   DATE         NOT NULL,
 HRGRAVACAO   VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO DATE,
 HRIMPORTACAO VARCHAR2(5))
/

CREATE TABLE USR_PROT_CLIENTE
(CDCLIENTE    VARCHAR2(20) NOT NULL,
 NMRAZAOSOC   VARCHAR2(40) NOT NULL,
 NMFANTCLIE   VARCHAR2(40) NOT NULL,
 DSENDERECO   VARCHAR2(40),
 CDPAIS       VARCHAR2(4) NOT NULL,
 SGESTADO     VARCHAR2(2) NOT NULL,
 CDMUNCIPIO   VARCHAR2(7) NOT NULL,
 CDCEP        VARCHAR2(15),
 NMBAIRRO     VARCHAR2(30),
 EMAIL        VARCHAR2(40),
 IDCLIEATIV   VARCHAR2(1),
 CDCONTCTBL   VARCHAR2(20),
 IDINTERFACE  VARCHAR2(1)  NOT NULL,
 STATUS       VARCHAR2(1)  NOT NULL,
 LOG_ERRO     VARCHAR2(250),
 DTGRAVACAO   DATE         NOT NULL,
 HRGRAVACAO   VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO DATE,
 HRIMPORTACAO VARCHAR2(5))
/

CREATE TABLE USR_PROT_NOTAFISCAL
(CDUNICO        VARCHAR2(14) NOT NULL,
 IDENTRSAID     VARCHAR2(1)  NOT NULL,
 CDEMPRESA      VARCHAR2(2)  NOT NULL,
 CDFILIAL       VARCHAR2(4)  NOT NULL,
 CDINSCRICAO    VARCHAR2(20) NOT NULL,
 CDSERIE        VARCHAR2(5),
 NRNUMERO       VARCHAR2(20),
 CDMODELO       VARCHAR2(2)  NOT NULL,
 DTEMISSAO      DATE,
 DTENTRADA      DATE,
 NRACESSONFE    VARCHAR2(44),
 VRTOTALNF      FLOAT        NOT NULL,
 CNPJ_EMP_MAE   VARCHAR2(21) NOT NULL,
 NF_ORIGINAL    VARCHAR2(20),
 SERIE_ORIGINAL VARCHAR2(5),
 DT_VENCIMENTO1 DATE,
 VR_VENCIMENTO1 FLOAT,
 DT_VENCIMENTO2 DATE,
 VR_VENCIMENTO2 FLOAT,
 DT_VENCIMENTO3 DATE,
 VR_VENCIMENTO3 FLOAT,
 DT_VENCIMENTO4 DATE,
 VR_VENCIMENTO4 FLOAT,
 DT_VENCIMENTO5 DATE,
 VR_VENCIMENTO5 FLOAT,
 DT_VENCIMENTO6 DATE,
 VR_VENCIMENTO6 FLOAT,
 IDOPERACAO     VARCHAR2(1),
 IDINTERFACE    VARCHAR2(1)  NOT NULL,
 STATUS         VARCHAR2(1)  NOT NULL,
 LOG_ERRO       VARCHAR2(250),
 DTGRAVACAO     DATE         NOT NULL,
 HRGRAVACAO     VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO   DATE,
 HRIMPORTACAO   VARCHAR2(5))
/

CREATE TABLE USR_PROT_ITEMPRODUTO
(CDUNICO          VARCHAR2(14) NOT NULL,
 NRSEQITEM        VARCHAR2(4)  NOT NULL,
 CDPRODUTO        VARCHAR2(20) NOT NULL,
 VRQUANTIDADE     FLOAT        NOT NULL,
 VRUNITARIO       FLOAT        NOT NULL,
 VRDESCITEM       FLOAT,
 VRTOTAITEM       FLOAT        NOT NULL,
 CFO_ITEM         VARCHAR2(11) NOT NULL,
 VRBASECALCICMS   FLOAT,
 VRALIQICMS       FLOAT,
 VRIMPOSTOICMS    FLOAT,
 VRBASECALCPIS    FLOAT,
 VRALIQPIS        FLOAT,
 VRIMPOSTOPIS     FLOAT,
 VRBASECALCCOFINS FLOAT,
 VRALIQCOFINS     FLOAT,
 VRIMPOSTOCOFINS  FLOAT,
 VRBASECALCIPI    FLOAT,
 VRALIQIPI        FLOAT,
 VRIMPOSTOIPI     FLOAT,
 VRBASECALCICMSST FLOAT,
 VRALIQICMSST     FLOAT,
 VRIMPOSTOICMSST  FLOAT,
 IDINTERFACE      VARCHAR2(1)  NOT NULL,
 STATUS           VARCHAR2(1)  NOT NULL,
 LOG_ERRO         VARCHAR2(250),
 DTGRAVACAO       DATE         NOT NULL,
 HRGRAVACAO       VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO     DATE,
 HRIMPORTACAO     VARCHAR2(5))
/

CREATE TABLE USR_PROT_MOVIESTOQ
(SEQUENCIAL     INTEGER      NOT NULL,
 CDFILIAL       VARCHAR2(4)  NOT NULL,
 CDEMPRESA      VARCHAR2(2)  NOT NULL,
 CDPRODUTO      VARCHAR2(20) NOT NULL,
 IDOPERACAO     VARCHAR2(1)  NOT NULL,
 CDALMOXARIFADO VARCHAR2(6),
 DTLANCESTQ     DATE         NOT NULL,
 QTLANCTOEST    FLOAT        NOT NULL,
 VRLANCTOEST    FLOAT        NOT NULL,
 IDCREDDEB      VARCHAR2(1),
 GRUPO_PROT     VARCHAR2(6)  NOT NULL,
 CNPJ_EMP_MAE   VARCHAR2(21) NOT NULL,
 IDINTERFACE    VARCHAR2(1)  NOT NULL,
 STATUS         VARCHAR2(1)  NOT NULL,
 LOG_ERRO       VARCHAR2(250),
 DTGRAVACAO     DATE         NOT NULL,
 HRGRAVACAO     VARCHAR2(5)  NOT NULL,
 DTIMPORTACAO   DATE,
 HRIMPORTACAO   VARCHAR2(5))
/

CREATE TABLE USR_TPPRODUTO
(USR_CDTPPRODUTO VARCHAR2(6)  NOT NULL,
 USR_DSTPPRODUTO VARCHAR2(30) NOT NULL,
   CONSTRAINT PK_USR_TPPRODUTO PRIMARY KEY (USR_CDTPPRODUTO))
/

CREATE TABLE USR_PRODTPPRO
(USR_CDTPPRODUTO VARCHAR2(6)  NOT NULL,
 USR_CDPRODTPPRO VARCHAR2(10) NOT NULL,
   CONSTRAINT PK_USR_PRODTPPRO PRIMARY KEY (USR_CDTPPRODUTO, USR_CDPRODTPPRO))
/

ALTER TABLE USR_PRODTPPRO
    ADD CONSTRAINT FK_USR_PRODTPPRO FOREIGN KEY(USR_CDTPPRODUTO)
       REFERENCES USR_TPPRODUTO(USR_CDTPPRODUTO) ON DELETE CASCADE
/

ALTER TABLE USR_PRODTPPRO
    ADD CONSTRAINT FK_USR_PRODTPPRO2 FOREIGN KEY(USR_CDPRODTPPRO)
       REFERENCES PRODUTO(CDPRODUTO) ON DELETE CASCADE
/

ALTER TABLE NOTAFISCAL
  ADD USR_DTEXPORTACAO DATE NULL
/

CREATE SEQUENCE USR_PROT_MOVIEST INCREMENT BY 1 MINVALUE 1
/

ALTER TABLE PRODUTO ADD USR_DTEXPPROD DATE
/

ALTER TABLE USR_PROT_NOTAFISCAL
  ADD USR_IDNOTAFISCAL   INTEGER  NOT NULL
/

CREATE SEQUENCE USR_IDNOTAFISCAL
INCREMENT BY 1 START WITH 1
/

ALTER TABLE USR_PROT_NOTAFISCAL
  ADD CONSTRAINT PK_USR_PROT_NOTAFISCAL PRIMARY KEY (USR_IDNOTAFISCAL)
/

CREATE INDEX USR_PROT_NOTAFISCAL_01 ON USR_PROT_NOTAFISCAL(CDUNICO ASC, IDINTERFACE ASC)
/

CREATE INDEX USR_PROT_NOTAFISCAL_02 ON USR_PROT_NOTAFISCAL(CDFILIAL ASC, DTIMPORTACAO ASC, IDENTRSAID ASC, STATUS)
/

ALTER TABLE USR_PROT_ITEMPRODUTO
  ADD USR_IDNOTAFISCAL   INTEGER  NOT NULL
/

CREATE INDEX USR_PROT_PRODUTO_01 ON USR_PROT_PRODUTO(STATUS, DTIMPORTACAO)
/

CREATE INDEX USR_PROT_FORNECEDOR_01 ON USR_PROT_FORNECEDOR(STATUS, DTIMPORTACAO)
/

CREATE INDEX USR_PROT_CLIENTE_01 ON USR_PROT_CLIENTE(STATUS, DTIMPORTACAO)
/

CREATE INDEX USR_PROT_ITEMPRODUTO_01 ON USR_PROT_ITEMPRODUTO(CDUNICO)
/

CREATE INDEX USR_PROT_ITEMPRODUTO_02 ON USR_PROT_ITEMPRODUTO(STATUS)
/

CREATE INDEX USR_PROT_MOVIESTQ_01 ON USR_PROT_MOVIESTOQ(CDFILIAL, DTIMPORTACAO, IDOPERACAO, STATUS)
/

ALTER TABLE ITLANCTOEST
ADD USR_DTEXPORTA DATE
/

ALTER TABLE USR_PROT_NOTAFISCAL ADD VRFRETE FLOAT NULL
/

ALTER TABLE USR_PROT_NOTAFISCAL ADD VRDESCONTO FLOAT NULL
/

/*ALTER TABLE ITLANCTOEST
DROP USR_DTEXPORTA DATE
/*/

ALTER TABLE LANCTOESTOQ
ADD USR_DTEXPORTA DATE
/

ALTER TABLE USR_PROT_MOVIESTOQ
ADD CDUNICO VARCHAR2(22)
/

ALTER TABLE USR_PROT_MOVIESTOQ ADD CONSTRAINT PK_USR_PROT_MOVIESTOQ PRIMARY KEY (SEQUENCIAL)
/

CREATE INDEX USR_PROT_MOVIESTQ_02 ON USR_PROT_MOVIESTOQ(CDFILIAL ASC, CDALMOXARIFADO ASC, CDPRODUTO ASC, DTLANCESTQ ASC, IDINTERFACE ASC,
                                                        IDOPERACAO ASC, IDCREDDEB ASC, SEQUENCIAL ASC)
/

ALTER TABLE USR_PROT_MOVIESTOQ ADD CDTIPORETI VARCHAR2(02) NULL
/


-- VERSAO --
BEGIN ATUVEROBJ('TABELAS_INT_PROT','6.05.XXX'); END;
/
