<?php
namespace HCM\Geral\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;

class ESocialEventoPeriodRepository {

    protected  $connection;

    public function __construct(Connection $connection, EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }

    /*-------------------------- Métodos para retornar os dados do eventos -----------------------------------------------*/
    
    /**
     * @param $nrchave
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1200($nrestruturam, $nrchave, $nrtabela, $dtocorrencia, $nrtpambiente) {
        $sql = <<<SQL
/*getDadosS1200*/
SELECT DISTINCT VM.NRPESSOA CHAVE,
       /*ideEvento*/
       CASE WHEN CF.NRTIPOMOVIMENT = 4 AND CF.NROCORRECAL = 1 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' THEN '2' ELSE '1' END as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, CASE WHEN CF.NRTIPOMOVIMENT = 4 AND CF.NROCORRECAL = 1 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' THEN 'YYYY' ELSE 'YYYY-MM' END) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,    
       /*ideTrabalhador*/
       REPLACE(REPLACE(PH.NRCPFPESSOA,'.'),'-') AS cpfTrab,
       NVL(REPLACE(REPLACE(PH.NRPISPASEPPES,'.'),'-'), NVL(REPLACE(REPLACE(PH.NRNITPESSOA,'.'),'-'), PH.NRSUSPESSOA)) nisTrab,
       /*infoMV*/
       DECODE(OV.VRREMUNOUTREMPR, NULL, NULL, DECODE(VH.IDMULTVINC, 'PRIMARIO', '1', '3')) indMV,
       /*remunOutrEmpr getDadosS1200remunOutrEmpr*/
       /*infoComplem*/
       /*CASE WHEN ENV.NRENVIO IS NULL /*OR VM.NRTIPOVINCULOM IN (2,3,10)/ THEN PH.NMPESSOA ELSE '' END*/ '' nmTrab,
       /*CASE WHEN ENV.NRENVIO IS NULL /*OR VM.NRTIPOVINCULOM IN (2,3,10)/ THEN TO_CHAR(PH.DTNASCPESSOA, 'YYYY-MM-DD') ELSE NULL END*/ '' dtNascto,
       /*sucessaoVinc*/
       null tpInscAnt,
       null cnpjEmpregAnt,
       null matricAnt,
       null dtAdm,
       null observacao,
       /*procJudTrab getDadosS1200procJudTrab*/
       /*infoInterm*/
       VH2.NRDIASAPURVALES qtdDiasInterm,
       /*dmDev getDadosS1200dmDev*/
       /*ideEstabLot getDadosS1200ideEstabLot*/
       /*detVerbas getDadosS1200detVerbas*/
       /*detOper getDadosS1200detOper*/
       /*detPlano getDadosS1200detPlano*/
       /*infoTrabInterm getDadosS1200infoTrabInterm*/
       /*infoPerAnt getDadosS1200infoPerAnt*/
       VM.NRORG, VM.NRPESSOA, PE.NRPARCNEGOCIO, VH.NRESTRUTLEGAL, PAR.NRINSCRICAOPARC, :P_NRTABELA AS NRTABELA, :P_DTOCORRENCIA AS DTOCORRENCIA, OV.VRREMUNOUTREMPR, DECODE(:P_NRTPAMBIENTE, 1, DECODE(EMH.IDOPTSIMPLES, 'S', :P_INIVALIDADEAMBNS, :P_INIVALIDADEAMBP), 2, :P_INIVALIDADEAMBPR) INIVALIDADEAMB
  FROM GPE_VINCULOM VM
  /*Dados do Empregado - Vínculo*/
  JOIN GPE_VINCULOH VH
    ON VH.NRVINCULOM = VM.NRVINCULOM
   AND VH.NRORG      = VM.NRORG
   AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                             WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                               AND GPE_VINCULOH.NRVINCULOM = VM.NRVINCULOM
                               AND GPE_VINCULOH.NRORG = VM.NRORG)
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Quantidade de dias Intermitente*/
  LEFT JOIN GPE_VINCULOM VM2 ON VM2.NRORG           = VM.NRORG
                            AND VM2.NRPESSOA        = VM.NRPESSOA
                            AND VM2.NRVINCULOEMPREG = 25
                            AND VM2.NRVINCULOM      = ( SELECT MAX(NRVINCULOM) FROM GPE_VINCULOM
                                                        WHERE NRORG           = VM2.NRORG
                                                          AND NRPESSOA        = VM2.NRPESSOA
                                                          AND NRVINCULOEMPREG = VM2.NRVINCULOEMPREG )
  LEFT JOIN GPE_VINCULOH VH2 ON VH2.NRORG          = VM.NRORG
                            AND VH2.NRVINCULOM     = VM2.NRVINCULOM
                            AND VH2.DTMESCOMPETENC = ( SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                       WHERE NRORG          = VH2.NRORG
                                                         AND NRVINCULOM     = VH2.NRVINCULOM
                                                         AND DTMESCOMPETENC <= :P_DTMESCOMPETENC )
  /*Dados do Empregado - Pessoa*/                               
  JOIN GPE_PESSOA PE
    ON PE.NRPESSOA = VM.NRPESSOA
   AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH
    ON PH.NRPESSOA = PE.NRPESSOA
   AND PH.NRORG    = PE.NRORG
   AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                             WHERE GPE_PESSOAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_PESSOAH.NRPESSOA = PE.NRPESSOA
                               AND GPE_PESSOAH.NRORG = PE.NRORG)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Calculo*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                          AND ((CF.NRTIPOMOVIMENT = 4 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' AND :P_NRTABELA = 4 AND CF.NROCORRECAL = 1/*OCORRENCIA 1 PARA DESCONSIDERAR 13 COMPLEMENTAR*/) OR
                               ((CF.NRTIPOMOVIMENT IN (1,10,19) OR (CF.NRTIPOMOVIMENT = 4 AND (TO_CHAR(CF.DTOCORRENCIA,'MM') <> '12' OR (TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'AND CF.NROCORRECAL <> 1)))) AND :P_NRTABELA = 1))
  /*Empregador*/
  LEFT JOIN ESTRUTURAH EMH ON EMH.NRORG = :P_NRORG
                     AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Remuneração Outra Empresa*/
  LEFT JOIN (SELECT OV.NRORG, OV.NRVINCULOM, OV.NRPESSOA, EH.CDCNPJESTRUT, SUM(ITC.VREVENTOFOLHA) VRREMUNOUTREMPR
               FROM GPE_VINCULOM OV
               JOIN GPE_VINCULOH OVH ON OVH.NRVINCULOM = OV.NRVINCULOM
                                    AND OVH.NRORG      = OV.NRORG
                                    AND OVH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                                                              WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                                AND GPE_VINCULOH.NRVINCULOM = OVH.NRVINCULOM
                                                                AND GPE_VINCULOH.NRORG = OVH.NRORG)
               LEFT JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM = OVH.NRESTRUTLEGAL
                                 AND EH.NRORG = OVH.NRORG
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                           WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                             AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND ESTRUTURAH.NRORG = EH.NRORG)
               JOIN FPA_ITECALCFOLHA ITC ON ITC.NRORG = OV.NRORG
                                        AND ITC.NRVINCULOM = OV.NRVINCULOM
                                        AND ITC.NREVENTOM = 3030
               JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                       AND CF.NRORG = ITC.NRORG
                                       AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                                       AND CF.NRTPMODALIDCAL = 1
                                       AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                                       AND ((CF.NRTIPOMOVIMENT = 4 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' AND :P_NRTABELA = 4 AND CF.NROCORRECAL = 1/*OCORRENCIA 1 PARA DESCONSIDERAR 13 COMPLEMENTAR*/) OR
                                            ((CF.NRTIPOMOVIMENT IN (1,10,19) OR (CF.NRTIPOMOVIMENT = 4 AND (TO_CHAR(CF.DTOCORRENCIA,'MM') <> '12' OR (TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'AND CF.NROCORRECAL <> 1)))) AND :P_NRTABELA = 1))
              WHERE OV.NRORG = :P_NRORG
                AND OV.NRVINCULOM = :P_NRCHAVE
              GROUP BY OV.NRORG, OV.NRVINCULOM, OV.NRPESSOA, EH.CDCNPJESTRUT) OV ON OV.NRORG = VM.NRORG
                                                                                AND OV.NRPESSOA = VM.NRPESSOA
                                                                                AND OV.NRVINCULOM <> VM.NRVINCULOM
                                                                                AND SUBSTR(OV.CDCNPJESTRUT,1,8) <> SUBSTR(EMH.CDCNPJESTRUT,1,8)
  /*Envios de admissão*/
  /*LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2200','S-2300'))*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(PAR.NRINSCRICAOPARC,1,8)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_INIVALIDADEAMBPR" => $this->hcmParameters->getEsoIniValidPeriodProdRest(),
            "P_INIVALIDADEAMBP" => $this->hcmParameters->getEsoIniValidPeriodProducao(),
            "P_INIVALIDADEAMBNS" => $this->hcmParameters->getEsoIniValidPeriodNacioSimples(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRCHAVE" => $nrchave,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    public function getDadosS1200remunOutrEmpr($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
/*getDadosS1200remunOutrEmpr*/
SELECT DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') AS tpInsc,
       CASE WHEN PN.CDTIPOINSCRICAO = 'CPF' OR EH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PN.NRINSCRICAOPARC ELSE SUBSTR(PN.NRINSCRICAOPARC,1,8) END nrInsc,
       CE.CDESOCIAL AS codCateg,
       ITC.VREVENTOFOLHA AS vlrRemunOE
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.NRORG = VM.NRORG
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC)
                                                 FROM GPE_VINCULOH
                                                WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND GPE_VINCULOH.NRVINCULOM = VH.NRVINCULOM
                                                  AND GPE_VINCULOH.NRORG = VH.NRORG)
  /*Outro Empregador*/
  JOIN ESTRUTURAM EM ON EM.NRORG = VM.NRORG
                    AND EM.NRESTRUTURAM = VH.NRESTRUTLEGAL
  LEFT JOIN ESTRUTURAH EH ON EH.NRESTRUTURAM    = EM.NRESTRUTURAM
                    AND EH.NRORG          = EM.NRORG
                    AND EH.DTMESCOMPETENC =
                      (SELECT MAX(EHH.DTMESCOMPETENC)
                      FROM ESTRUTURAH EHH
                      WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                      AND EHH.NRESTRUTURAM      = EH.NRESTRUTURAM
                      AND EHH.NRORG             = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRORG             = EM.NRORG
                     AND PN.NRPARCNEGOCIO    = EM.NRPARCNEGOCIO
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Remuneração Outra Empresa*/
  JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, SUM(ITC.VREVENTOFOLHA) VREVENTOFOLHA
          FROM FPA_ITECALCFOLHA ITC
          JOIN FPA_CALCULOFOLHA CF ON CF.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                  AND CF.NRORG = ITC.NRORG
                                  AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                                  AND CF.NRTPMODALIDCAL = 1
                                  AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
         WHERE ITC.NRORG = :P_NRORG
           AND ITC.NREVENTOM = 3030
         GROUP BY ITC.NRORG, ITC.NRVINCULOM) ITC ON ITC.NRORG = VM.NRORG
                                                AND ITC.NRVINCULOM = VM.NRVINCULOM
 WHERE VM.NRPESSOA = :P_NRPESSOA
   AND VM.NRORG = :P_NRORG
   AND SUBSTR(PN.NRINSCRICAOPARC,1,8) != SUBSTR(:P_NRINSCRICAOPARC,1,8)
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200procJudTrab($nrorg, $nrvinculom) {
        $sql = <<<SQL
/*getDadosS1200procJudTrab*/
SELECT * FROM DUAL WHERE 1=2
SQL;
        $params = array(
            
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200dmDev($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
/*getDadosS1200dmDev*/
SELECT IT.NRCALCULOFOLHA AS ideDmDev,
       CE.CDESOCIAL AS codCateg,
       SUM(CASE WHEN (VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) THEN 1 ELSE 0 END) AS infoPerApur,
       0 AS infoPerAnt,
       VM.NRORG, VM.NRPESSOA, SUBSTR(:P_NRINSCRICAOPARC,1,8) NRINSCRICAOPARC, IT.NRCALCULOFOLHA, CE.CDESOCIAL CDCATEGTRAB, NULL AS PERIODO
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                          AND ((CF.NRTIPOMOVIMENT = 4 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' AND :P_NRTABELA = 4 AND CF.NROCORRECAL = 1/*OCORRENCIA 1 PARA DESCONSIDERAR 13 COMPLEMENTAR*/) OR
                               ((CF.NRTIPOMOVIMENT IN (1,10,19) OR (CF.NRTIPOMOVIMENT = 4 AND (TO_CHAR(CF.DTOCORRENCIA,'MM') <> '12' OR (TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'AND CF.NROCORRECAL <> 1)))) AND :P_NRTABELA = 1))
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR
        (VM.DTRESCISAOVINC < :P_DTMESCOMPETENC AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND (VM.NRTIPOVINCULOM = 1 OR (VM.NRTIPOVINCULOM IN (2,10) AND (CF.NRTIPOMOVIMENT = 1 OR (CF.NRTIPOMOVIMENT = 4 AND IT.VREVENTOFOLHA > 0)))
        OR VM.NRTIPOVINCULOM = 3 AND (CF.NRTIPOMOVIMENT IN (1,19) OR (CF.NRTIPOMOVIMENT = 4 AND IT.VREVENTOFOLHA > 0)))
   AND EXISTS (/*getDadosS1200itensRemun*/
                SELECT 1
                  FROM FPA_ITECALCFOLHA ITC
                  /*Rubrica*/
                  JOIN FPA_EVENTOM EMC ON (EMC.NRORG = ITC.NRORG OR EMC.NRORG = 0)
                                     AND EMC.NREVENTOM = ITC.NREVENTOM
                                     --AND EMC.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')
                  JOIN FPA_EVENTOH EHC ON EHC.NRORG = EMC.NRORG
                                     AND EHC.NREVENTOM = EMC.NREVENTOM
                                     AND EHC.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                                  AND EHH.NREVENTOM = EHC.NREVENTOM
                                                                  AND EHH.NRORG = EHC.NRORG)
                  /*Natureza da Rubrica*/
                  JOIN NATUREZARUBRICA NRC ON NRC.NRNATURUBR = EHC.NRNATURUBR
                  /*CP NOVO*/
                  LEFT JOIN (SELECT IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, MAX(INC.CDESOCIAL) CDESOCIAL
                               FROM FPA_INCIDEVENTO IE
                               JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                               JOIN INCIDENCIACP INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                              WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
                                AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                                      FROM FPA_GRPITEM 
                                                     WHERE NRGRPINCIDE = 46) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)
                              GROUP BY IE.NREVENTOM, TI.DSNRTIPOMOVIMENT
                             ) CP ON CP.NREVENTOM = EHC.NREVENTOM
                                 AND INSTR(','||CP.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
                  /*IRRF NOVO*/
                  LEFT JOIN (SELECT IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, MAX(INC.CDESOCIAL) CDESOCIAL
                               FROM FPA_INCIDEVENTO IE
                               JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                               JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                              WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
                                AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                                      FROM FPA_GRPITEM 
                                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)
                              GROUP BY IE.NREVENTOM, TI.DSNRTIPOMOVIMENT
                             ) IRRF ON IRRF.NREVENTOM = EHC.NREVENTOM
                                   AND INSTR(','||IRRF.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
                 WHERE ITC.NRORG = IT.NRORG
                   AND ITC.NRVINCULOM = IT.NRVINCULOM
                   AND ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                   AND ITC.VREVENTOFOLHA > 0
                   AND ((ITC.IDEVENDEMONCALC = 'N' AND EHC.IDEVENTODEMONST = 'N') OR (EHC.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
                   AND (CP.CDESOCIAL NOT IN (23, 24, 61) OR CP.CDESOCIAL IS NULL) /*{codIncCP} em S-1010 seja igual a [23, 24, 61]*/
                   AND (IRRF.CDESOCIAL NOT IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) OR IRRF.CDESOCIAL IS NULL) /*{codIncIRRF} em S-1010 seja igual a [31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83]*/)
 GROUP BY IT.NRCALCULOFOLHA, CE.CDESOCIAL, VM.NRORG, VM.NRPESSOA, :P_NRINSCRICAOPARC, IT.NRCALCULOFOLHA, CE.CDESOCIAL
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRCHAVE" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200ideEstabLot($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $cdcategtrab, $infoPerApur, $infoPerAnt, $periodo) {
        $sql = <<<SQL
/*getDadosS1200ideEstabLot*/
SELECT DISTINCT DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') AS tpInsc,
       PN.NRINSCRICAOPARC nrInsc,
       DECODE(VM.NRTIPOVINCULOM, 2, EM.NRESTRUTURAM, NVL(EMSUP.NRESTRUTURAM, EM.NRESTRUTURAM)) AS codLotacao,
       NULL qtdDiasAv,
       /*remunPerApur getDadosS1200remunPerApur*/
       /*remunPerAnt getDadosS1200remunPerAnt*/
       VM.NRORG, VM.NRPESSOA, PN.NRINSCRICAOPARC, IT.NRCALCULOFOLHA NRCALCULOFOLHA, :P_CDCATEGTRAB CDCATEGTRAB, :P_PERIODO PERIODO
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
  /*Estabelecimento/Lotacao*/
  JOIN ESTRUTURAM EM ON EM.NRORG = VH.NRORG
                    AND EM.NRESTRUTURAM = VH.NRESTRUTLEGAL
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                    AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN PARCNEGOCIO PN ON PN.NRORG = EM.NRORG
                     AND PN.NRPARCNEGOCIO = EM.NRPARCNEGOCIO
  /*Estabelecimento/Lotacao - Tomador superior da estrutura gerencial*/
  LEFT JOIN TIPOHIERARQORG TH ON (TH.NRORG = EM.NRORG OR TH.NRORG = 0)
                             AND TH.NRTIPOESTRUTREL = :P_NRTIPOESTRUTGEREN
                             AND TH.NRTIPOESTRUTSUP = NVL(:P_NRTIPOESTRUTOMADOR, 7)
  LEFT JOIN HIERARQUIAORG HO ON HO.NRORG = EM.NRORG
                            AND HO.NRTIPOHIERARQORG = TH.NRTIPOHIERARQORG
                            AND HO.NRESTRUTURAMREL = VH.NRESTRUTGEREN
                            AND HO.DTINIVIGENCIA = (SELECT MAX(DTINIVIGENCIA)
                                                      FROM HIERARQUIAORG HI
                                                     WHERE HI.NRORG = HO.NRORG
                                                       AND HI.NRESTRUTURAMREL = HO.NRESTRUTURAMREL
                                                       AND NRTIPOHIERARQORG = HO.NRTIPOHIERARQORG
                                                       AND EM.DTINIVIGENCIA <= :P_DTMESCOMPETENC)
                            AND (HO.DTFIMVIGENCIA >= LAST_DAY(:P_DTMESCOMPETENC) OR HO.DTFIMVIGENCIA IS NULL)
  LEFT JOIN ESTRUTURAM EMSUP ON EMSUP.NRESTRUTURAM = HO.NRESTRUTURAMSUP
                            AND EMSUP.NRORG = HO.NRORG
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030 AND :P_INFOPERAPUR >= 1) OR
        (VM.DTRESCISAOVINC < :P_DTMESCOMPETENC AND TO_CHAR(VM.DTRESCISAOVINC, 'YYYY-MM') = :P_PERIODO AND IT.NREVENTOM = 3050 AND :P_INFOPERANT >= 1))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND CE.CDESOCIAL = :P_CDCATEGTRAB
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRTIPOESTRUTGEREN" => $this->hcmParameters->getTipoEstruturaGerencialOrg(),
            "P_NRTIPOESTRUTOMADOR" => $this->hcmParameters->getTipoEstruturaTomadorOrg(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCATEGTRAB" => $cdcategtrab,
            "P_INFOPERAPUR" => $infoPerApur,
            "P_INFOPERANT" => $infoPerAnt,
            "P_PERIODO" => $periodo,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200remunPerApur($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $cdcategtrab) {
        $sql = <<<SQL
/*getDadosS1200remunPerApur*/
SELECT DISTINCT
       CASE WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','301','302','303','305','306','307','308','309') THEN NVL(VH.CDMATRICULAESOCIAL, VM.NRVINCULOM) ELSE NULL END AS matricula,
       DECODE(NVL(CTSUP.CDESOCIAL,CT.CDESOCIAL),'01','1','02','2','03','3','') AS indSimples,
       /*itensRemun getDadosS1200itensRemun*/
       CASE
         WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','201','202','301','302','303','305','306','307','308','309','731','734','738')
         THEN DECODE(AN.CDESOCIALNOCIVO,NULL,1,AN.CDESOCIALNOCIVO)
         ELSE NULL
       END AS grauExp,
       VM.NRORG, VM.NRVINCULOM, IT.NRCALCULOFOLHA,
       (SELECT DECODE(NVL(SUM(IC.VREVENTOFOLHA),0),0,0,1) IDDETOPER
          FROM FPA_ITECALCFOLHA IC
          JOIN FPA_EVENTOH EVH ON (EVH.NRORG = IC.NRORG OR EVH.NRORG = 0)
                              AND EVH.NREVENTOM = IC.NREVENTOM
                              AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                          WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                            AND EHH.NREVENTOM = EVH.NREVENTOM
                                                            AND EHH.NRORG = EVH.NRORG)
          JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EVH.NRNATURUBR
         WHERE IC.NRORG = IT.NRORG
           AND IC.NRVINCULOM = IT.NRVINCULOM
           AND IC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
           AND NR.CDESOCIAL = '9219') IDDETOPER /*existe desconto de assistencia odontologica*/
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
                          AND IT.NREVENTOM = 3030
  /*Estabelecimento/Lotacao*/
  JOIN ESTRUTURAM EM ON EM.NRORG = VH.NRORG
                    AND EM.NRESTRUTURAM = VH.NRESTRUTLEGAL
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                    AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN PARCNEGOCIO PN ON PN.NRORG = EM.NRORG
                     AND PN.NRPARCNEGOCIO = EM.NRPARCNEGOCIO
  LEFT JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EH.NRCLASSTRIBUT
  /*Estabelecimento/Lotacao - Tomador superior da estrutura gerencial*/
  LEFT JOIN TIPOHIERARQORG TH ON (TH.NRORG = EM.NRORG OR TH.NRORG = 0)
                             AND TH.NRTIPOESTRUTREL = :P_NRTIPOESTRUTGEREN
                             AND TH.NRTIPOESTRUTSUP = NVL(:P_NRTIPOESTRUTOMADOR, 7)
  LEFT JOIN HIERARQUIAORG HO ON HO.NRORG = EM.NRORG
                            AND HO.NRTIPOHIERARQORG = TH.NRTIPOHIERARQORG
                            AND HO.NRESTRUTURAMREL = VH.NRESTRUTGEREN
                            AND HO.DTINIVIGENCIA = (SELECT MAX(DTINIVIGENCIA)
                                                      FROM HIERARQUIAORG HI
                                                     WHERE HI.NRORG = HO.NRORG
                                                       AND HI.NRESTRUTURAMREL = HO.NRESTRUTURAMREL
                                                       AND NRTIPOHIERARQORG = HO.NRTIPOHIERARQORG
                                                       AND EM.DTINIVIGENCIA <= :P_DTMESCOMPETENC)
                            AND (HO.DTFIMVIGENCIA >= LAST_DAY(:P_DTMESCOMPETENC) OR HO.DTFIMVIGENCIA IS NULL)
  LEFT JOIN ESTRUTURAM EMSUP ON EMSUP.NRESTRUTURAM = HO.NRESTRUTURAMSUP
                            AND EMSUP.NRORG = HO.NRORG
  LEFT JOIN ESTRUTURAH EHSUP ON EHSUP.NRESTRUTURAM = EMSUP.NRESTRUTURAM
                            AND EHSUP.NRORG = EMSUP.NRORG
                            AND EHSUP.DTMESCOMPETENC = (SELECT MAX(EHHSUP.DTMESCOMPETENC) FROM ESTRUTURAH EHHSUP
                                                         WHERE EHHSUP.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                           AND EHHSUP.NRESTRUTURAM = EH.NRESTRUTURAM
                                                           AND EHHSUP.NRORG = EH.NRORG)
  LEFT JOIN CLASSTRIBUT CTSUP ON CTSUP.NRCLASSTRIBUT = EHSUP.NRCLASSTRIBUT
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Grau de Exposição de Agente Nocivo*/
  LEFT JOIN GPE_AGENTENOCIVO AN ON AN.NRAGENTENOCIVO = VH.NRAGENTENOCIVO
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CE.CDESOCIAL = :P_CDCATEGTRAB
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRTIPOESTRUTGEREN" => $this->hcmParameters->getTipoEstruturaGerencialOrg(),
            "P_NRTIPOESTRUTOMADOR" => $this->hcmParameters->getTipoEstruturaTomadorOrg(),
            "P_NRCHAVE" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCATEGTRAB" => $cdcategtrab,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200itensRemun($nrorg, $nrvinculom, $nrcalculofolha) {
        $sql = <<<SQL
/*getDadosS1200itensRemun*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(CF.DTOCORRENCIA,'MM')) BETWEEN 1 AND 11 AND CF.NRTIPOMOVIMENT = 4 THEN 22 ELSE CF.NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     --AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*CP NOVO*/
  LEFT JOIN (SELECT IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, MAX(INC.CDESOCIAL) CDESOCIAL
               FROM FPA_INCIDEVENTO IE
               JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
               JOIN INCIDENCIACP INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
              WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
                AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 46) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)
              GROUP BY IE.NREVENTOM, TI.DSNRTIPOMOVIMENT
             ) CP ON CP.NREVENTOM = EM.NREVENTOM
                 AND INSTR(','||CP.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
  /*IRRF NOVO*/
  LEFT JOIN (SELECT IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, MAX(INC.CDESOCIAL) CDESOCIAL
               FROM FPA_INCIDEVENTO IE
               JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
               JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
              WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
                AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)
              GROUP BY IE.NREVENTOM, TI.DSNRTIPOMOVIMENT
             ) IRRF ON IRRF.NREVENTOM = EM.NREVENTOM
                   AND INSTR(','||IRRF.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRVINCULOM = :P_NRVINCULOM
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (CP.CDESOCIAL NOT IN (23, 24, 61) OR CP.CDESOCIAL IS NULL) /*{codIncCP} em S-1010 seja igual a [23, 24, 61]*/
   AND (IRRF.CDESOCIAL NOT IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) OR IRRF.CDESOCIAL IS NULL) /*{codIncIRRF} em S-1010 seja igual a [31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83]*/
   /*AND {codIncCp} em S-1010 seja igual a [25, 26, 51] se {codCateg} pertencer a um dos grupos 'contribuinte individual' ou 'bolsistas' da Tabela 01 (Categoria de Trabalhadores).*/
 ORDER BY IT.NREVENTOM
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRVINCULOM" => $nrvinculom,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200detOper($nrorg, $nrvinculom, $nrcalculofolha) {
        $sql = <<<SQL
/*getDadosS1200detOper*/
SELECT cnpjOper, regANS, SUM(vrPgTit) vrPgTit,
       :P_NRORG NRORG, :P_NRCHAVE NRVINCULOM, :P_NRCALCULOFOLHA NRCALCULOFOLHA, CDCNPJESTRUT
FROM (SELECT DISTINCT
             ET.CDCNPJESTRUT AS cnpjOper,
             REPLACE(ET.CDFEDERALESTRUT,'-') AS regANS,
             CASE WHEN ITC.NREVENTOM IN (BH.NREVENTOMENSA, BH.NREVETITULAREMP, BH.NREVETITULARVINC, BH.NREVENTOCOPART) THEN ROUND(ITC.VREVENTOFOLHA,2) ELSE 0 END AS vrPgTit,
             ITC.NREVENTOM,
             ET.CDCNPJESTRUT
        FROM FPA_ITECALCFOLHA ITC
        JOIN FPA_CALCULOFOLHA CF ON ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                                AND CF.NRORG = ITC.NRORG
        JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                           AND (EH.NRORG = :P_NRORG OR EH.NRORG = 0)
                           AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                      FROM FPA_EVENTOH EHH
                                                     WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       AND EHH.NREVENTOM = EH.NREVENTOM
                                                       AND EHH.NRORG = EH.NRORG)
        JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
        JOIN VAB_BENEFICIARIO BF ON BF.NRVINCULOM = ITC.NRVINCULOM
                                AND BF.NRORG = ITC.NRORG
                                AND BF.IDTPBENEFICIARIO = 'T'
        JOIN VAB_BENEFICIOM BM ON BM.NRBENEFICIOM = BF.NRBENEFICIOM
                              AND BM.NRORG = BF.NRORG
                              AND BM.DTINICIOVIGENCIA <= LAST_DAY(:P_DTMESCOMPETENC)
                              AND (BM.DTFINALVIGENCIA IS NULL OR BM.DTFINALVIGENCIA >= :P_DTMESCOMPETENC)
        JOIN VAB_BENEFICIOH BH ON BH.NRBENEFICIOM = BM.NRBENEFICIOM
                              AND BH.NRORG = BM.NRORG
                              AND BH.TPPERIODOBENEF = 'MENSAL'
                              AND ITC.NREVENTOM IN (BH.NREVENTOMENSA, BH.NREVENTOMENSADEP, BH.NREVETITULAREMP, BH.NREVEDEPEMPRESA, BH.NREVETITULARVINC, BH.NREVEDEPEVINC, BH.NREVENTOCOPART, BH.NREVENTOCOPARTDEP)
                              AND BH.DTMESCOMPETENC = (SELECT MAX(BHH.DTMESCOMPETENC)
                                                         FROM VAB_BENEFICIOH BHH
                                                        WHERE BHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                          AND BHH.NRBENEFICIOM = BH.NRBENEFICIOM
                                                          AND BHH.NRORG = BH.NRORG)
        JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = BH.NRESTRUTURAM
                          AND EM.NRORG = :P_NRORG
        LEFT JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = EM.NRESTRUTURAM
                          AND ET.NRORG = EM.NRORG
                          AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC)
                                                     FROM ESTRUTURAH
                                                    WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                      AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                      AND ESTRUTURAH.NRORG = ET.NRORG)
       WHERE ITC.NRORG = :P_NRORG
         AND ITC.NRVINCULOM = :P_NRCHAVE
         AND ITC.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
         AND ITC.VREVENTOFOLHA > 0
         AND NR.CDESOCIAL = '9219')
GROUP BY cnpjOper, regANS, CDCNPJESTRUT
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRCHAVE" => $nrvinculom,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200detPlano($nrorg, $nrvinculom, $nrcalculofolha, $cdcnpjestrut) {
        $sql = <<<SQL
/*getDadosS1200detPlano*/
SELECT tpDep, cpfDep, nmDep, dtNascto, SUM(vlrPgDep) vlrPgDep
FROM (SELECT DISTINCT
             TR.CDESOCIAL AS tpDep,
             REPLACE(REPLACE(PH.NRCPFPESSOA, '.'), '-') AS cpfDep,
             PH.NMPESSOA AS nmDep,
             TO_CHAR(PH.DTNASCPESSOA, 'YYYY-MM-DD') AS dtNascto,
             ROUND(ITC.VREVENTOFOLHA/NVL(DECODE(ITC.VRREFFOLHA,0,1,ITC.VRREFFOLHA),1),2) AS vlrPgDep,
             ITC.NREVENTOM
        FROM FPA_ITECALCFOLHA ITC
        JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                           AND (EH.NRORG = :P_NRORG OR EH.NRORG = 0)
                           AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                      FROM FPA_EVENTOH EHH
                                                     WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       AND EHH.NREVENTOM = EH.NREVENTOM
                                                       AND EHH.NRORG = EH.NRORG)
        JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
        JOIN VAB_BENEFICIARIO BF ON BF.NRVINCULOM = ITC.NRVINCULOM
                                AND BF.NRORG = ITC.NRORG
                                AND BF.IDTPBENEFICIARIO = 'D'
        JOIN GPE_VINCULOM VM ON VM.NRVINCULOM = BF.NRVINCULOM
                            AND VM.NRORG = BF.NRORG
        JOIN GPE_PESSOA PV ON PV.NRPESSOA = VM.NRPESSOA
                          AND PV.NRORG = VM.NRORG
        JOIN GPE_PESSOA PE ON PE.NRPESSOA = BF.NRPESSOA
                          AND PE.NRORG = BF.NRORG
        JOIN GPE_PESSOAH PH ON PH.NRPESSOA = PE.NRPESSOA
                           AND PH.NRORG = PE.NRORG
                           AND PH.DTMESCOMPETENC = (SELECT MAX(H1.DTMESCOMPETENC)
                                                      FROM GPE_PESSOAH H1
                                                     WHERE H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                       AND H1.NRPESSOA = PH.NRPESSOA
                                                       AND H1.NRORG = PH.NRORG)
        JOIN RELACIONAPARC RP ON RP.NRORG = :P_NRORG
                             AND RP.NRPARCNEGOCIO = PV.NRPARCNEGOCIO
                             AND RP.NRPARCNEGRELAC = PE.NRPARCNEGOCIO
        JOIN TIPORELACIONA TR ON TR.NRTIPORELACIONA = RP.NRTIPORELACIONA
        JOIN VAB_BENEFICIOH BH ON BH.NRBENEFICIOM = BF.NRBENEFICIOM
                              AND BH.NRORG = BF.NRORG
                              AND BH.TPPERIODOBENEF = 'MENSAL'
                              AND ITC.NREVENTOM IN (BH.NREVENTOMENSADEP, BH.NREVEDEPEMPRESA, BH.NREVEDEPEVINC, BH.NREVENTOCOPARTDEP)
                              AND BH.DTMESCOMPETENC = (SELECT MAX(BHH.DTMESCOMPETENC)
                                                         FROM VAB_BENEFICIOH BHH
                                                        WHERE BHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                          AND BHH.NRBENEFICIOM = BH.NRBENEFICIOM
                                                          AND BHH.NRORG = BH.NRORG)
        JOIN ESTRUTURAM EM ON EM.NRESTRUTURAM = BH.NRESTRUTURAM
                          AND EM.NRORG = :P_NRORG
        LEFT JOIN ESTRUTURAH ET ON ET.NRESTRUTURAM = EM.NRESTRUTURAM
                          AND ET.NRORG = EM.NRORG
                          AND ET.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC)
                                                     FROM ESTRUTURAH
                                                    WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                      AND ESTRUTURAH.NRESTRUTURAM = ET.NRESTRUTURAM
                                                      AND ESTRUTURAH.NRORG = ET.NRORG)
       WHERE ITC.NRORG = :P_NRORG
         AND ITC.NRVINCULOM = :P_NRCHAVE
         AND ITC.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
         AND ITC.VREVENTOFOLHA > 0
         AND NR.CDESOCIAL = '9219'
         AND ET.CDCNPJESTRUT = :P_CDCNPJESTRUT)
GROUP BY tpDep, cpfDep, nmDep, dtNascto
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRCHAVE" => $nrvinculom,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCNPJESTRUT" => $cdcnpjestrut
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200ideADC($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $cdcategtrab) {
        $sql = <<<SQL
/*getDadosS1200ideADC*/
SELECT DISTINCT '' AS dtAcConv,
       'F' AS tpAcConv,
       '' AS compAcConv,
       '' AS dtEfAcConv,
       'Rescisão Complementar' AS dsc,
       'N' AS remunSuc,
       /*idePeriodo getDadosS1200idePeriodo*/
       VM.NRORG, VM.NRPESSOA, SUBSTR(PN.NRINSCRICAOPARC,1,8) NRINSCRICAOPARC, IT.NRCALCULOFOLHA NRCALCULOFOLHA, :P_CDCATEGTRAB CDCATEGTRAB
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM = 3050
  /*Estabelecimento/Lotacao*/
  JOIN ESTRUTURAM EM ON EM.NRORG = VH.NRORG
                    AND EM.NRESTRUTURAM = VH.NRESTRUTLEGAL
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                    AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN PARCNEGOCIO PN ON PN.NRORG = EM.NRORG
                     AND PN.NRPARCNEGOCIO = EM.NRPARCNEGOCIO
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.DTRESCISAOVINC < :P_DTMESCOMPETENC
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND CE.CDESOCIAL = :P_CDCATEGTRAB
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRCHAVE" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCATEGTRAB" => $cdcategtrab,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200idePeriodo($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $cdcategtrab) {
        $sql = <<<SQL
/*getDadosS1200idePeriodo*/
SELECT TO_CHAR(VM.DTRESCISAOVINC, 'YYYY-MM') AS perRef,
       0 AS infoPerApur,
       SUM(CASE WHEN (VM.DTRESCISAOVINC < :P_DTMESCOMPETENC) THEN 1 ELSE 0 END) AS infoPerAnt,
       /*ideEstabLot getDadosS1200ideEstabLot*/
       :P_NRORG NRORG, :P_NRPESSOA NRPESSOA, SUBSTR(:P_NRINSCRICAOPARC,1,8) NRINSCRICAOPARC, :P_NRCALCULOFOLHA NRCALCULOFOLHA, :P_CDCATEGTRAB CDCATEGTRAB, TO_CHAR(VM.DTRESCISAOVINC, 'YYYY-MM') PERIODO
  FROM GPE_VINCULOM VM
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND CE.CDESOCIAL = :P_CDCATEGTRAB
 GROUP BY TO_CHAR(VM.DTRESCISAOVINC, 'YYYY-MM'), :P_NRORG, :P_NRPESSOA, :P_NRINSCRICAOPARC, :P_NRCALCULOFOLHA, :P_CDCATEGTRAB
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCATEGTRAB" => $cdcategtrab,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    public function getDadosS1200remunPerAnt($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $cdcategtrab, $periodo) {
        $sql = <<<SQL
/*getDadosS1200remunPerAnt*/
SELECT DISTINCT
       CASE WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','301','302','303','305','306','307','308','309') THEN NVL(VH.CDMATRICULAESOCIAL, VM.NRVINCULOM) ELSE NULL END AS matricula,
       NULL AS indSimples,
       CASE
         WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','201','202','301','302','303','305','306','307','308','309','731','734','738')
         THEN DECODE(AN.CDESOCIALNOCIVO,NULL,1,AN.CDESOCIALNOCIVO)
         ELSE NULL
       END AS grauExp,
       VM.NRORG, VM.NRVINCULOM, IT.NRCALCULOFOLHA
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
                          AND IT.NREVENTOM = 3050
  /*Estabelecimento/Lotacao*/
  JOIN ESTRUTURAM EM ON EM.NRORG = VH.NRORG
                    AND EM.NRESTRUTURAM = VH.NRESTRUTLEGAL
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                    AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN PARCNEGOCIO PN ON PN.NRORG = EM.NRORG
                     AND PN.NRPARCNEGOCIO = EM.NRPARCNEGOCIO
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Grau de Exposição de Agente Nocivo*/
  LEFT JOIN GPE_AGENTENOCIVO AN ON AN.NRAGENTENOCIVO = VH.NRAGENTENOCIVO
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.DTRESCISAOVINC < :P_DTMESCOMPETENC
   AND TO_CHAR(VM.DTRESCISAOVINC, 'YYYY-MM') = :P_PERIODO
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CE.CDESOCIAL = :P_CDCATEGTRAB
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRCHAVE" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_CDCATEGTRAB" => $cdcategtrab,
            "P_PERIODO" => $periodo,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrchave
     * @param $nrtabela
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210($nrestruturam, $nrchave, $nrtabela, $dtocorrencia, $nrtpambiente) {
        $sql = <<<SQL
/*getDadosS1210*/
SELECT DISTINCT VM.NRPESSOA CHAVE,
       /*ideEvento*/
       1 as indApuracao,
       TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM') as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,    
       /*ideBenef*/
       REPLACE(REPLACE(PH.NRCPFPESSOA, '.'), '-') AS cpfBenef,  
       /*ideBenef*/
       (SELECT SUM(I.VREVENTOFOLHA) FROM FPA_ITECALCFOLHA I
         WHERE I.NRORG = CF.NRORG
           AND I.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
           AND I.NRVINCULOM = VM.NRVINCULOM
           AND I.NREVENTOM = 1290 /*ASSOC_DEDUCAO_DEPENDENTE*/) vrDedDep,
       /*infoPgto getDadosS1210infoPgto*/
       VM.NRORG, VM.NRPESSOA, PE.NRPARCNEGOCIO, VH.NRESTRUTLEGAL, PAR.NRINSCRICAOPARC, :P_NRTABELA AS NRTABELA, :P_DTOCORRENCIA AS DTOCORRENCIA, :P_NRTPAMBIENTE AS NRTPAMBIENTE, DECODE(:P_NRTPAMBIENTE, 1, DECODE(EMH.IDOPTSIMPLES, 'S', :P_INIVALIDADEAMBNS, :P_INIVALIDADEAMBP), 2, :P_INIVALIDADEAMBPR) INIVALIDADEAMB 
  FROM GPE_VINCULOM VM
  /*Dados do Empregado - Vínculo*/
  JOIN GPE_VINCULOH VH
    ON VH.NRVINCULOM = VM.NRVINCULOM
   AND VH.NRORG      = VM.NRORG
   AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                             WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                               AND GPE_VINCULOH.NRVINCULOM = VM.NRVINCULOM
                               AND GPE_VINCULOH.NRORG = VM.NRORG)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Dados do Empregado - Pessoa*/                               
  JOIN GPE_PESSOA PE
    ON PE.NRPESSOA = VM.NRPESSOA
   AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH
    ON PH.NRPESSOA = PE.NRPESSOA
   AND PH.NRORG    = PE.NRORG
   AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                             WHERE GPE_PESSOAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_PESSOAH.NRPESSOA = PE.NRPESSOA
                               AND GPE_PESSOAH.NRORG = PE.NRORG)
  /*Calculo*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
  /*Empregador*/
  LEFT JOIN ESTRUTURAH EMH ON EMH.NRORG = :P_NRORG
                     AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(PAR.NRINSCRICAOPARC,1,8)
UNION ALL
SELECT DISTINCT VM.NRPESSOA CHAVE,
       /*ideEvento*/
       1 as indApuracao,
       TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM') as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,    
       /*ideBenef*/
       REPLACE(REPLACE(PH.NRCPFPESSOA, '.'), '-') AS cpfBenef,  
       /*ideBenef*/
       (SELECT SUM(I.VREVENTOFOLHA) FROM FPA_ITECALCFOLHA I
         WHERE I.NRORG = CF.NRORG
           AND I.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
           AND I.NRVINCULOM = VM.NRVINCULOM
           AND I.NREVENTOM = 1290 /*ASSOC_DEDUCAO_DEPENDENTE*/) vrDedDep,
       /*infoPgto getDadosS1210infoPgto*/
       VM.NRORG, VM.NRPESSOA, PE.NRPARCNEGOCIO, VH.NRESTRUTLEGAL, PAR.NRINSCRICAOPARC, :P_NRTABELA AS NRTABELA, :P_DTOCORRENCIA AS DTOCORRENCIA, :P_NRTPAMBIENTE AS NRTPAMBIENTE, DECODE(:P_NRTPAMBIENTE, 1, DECODE(EMH.IDOPTSIMPLES, 'S', :P_INIVALIDADEAMBNS, :P_INIVALIDADEAMBP), 2, :P_INIVALIDADEAMBPR) INIVALIDADEAMB 
  FROM GPE_VINCULOM VM
  /*Dados do Empregado - Vínculo*/
  JOIN GPE_VINCULOH VH
    ON VH.NRVINCULOM = VM.NRVINCULOM
   AND VH.NRORG      = VM.NRORG
   AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH
                             WHERE GPE_VINCULOH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_VINCULOH.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                               AND GPE_VINCULOH.NRVINCULOM = VM.NRVINCULOM
                               AND GPE_VINCULOH.NRORG = VM.NRORG)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EH ON EH.NRORG = VH.NRORG
                                                                                                  AND EH.NRVINCULOM = VH.NRVINCULOM
    /*Movimentacao de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8) EHN ON EHN.NRORG = VH.NRORG
                                              AND EHN.NRVINCULOM = VH.NRVINCULOM  
                                              AND EHN.DTINIMOVIMENT >= EH.DTINIMOVIMENT                                          
                                              AND SUBSTR(EHN.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Calculo*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = TRUNC(EH.DTFIMMOVIMENT,'MONTH') 
  /*Dados do Empregado - Pessoa*/                               
  JOIN GPE_PESSOA PE
    ON PE.NRPESSOA = VM.NRPESSOA
   AND PE.NRORG    = VM.NRORG
  JOIN GPE_PESSOAH PH
    ON PH.NRPESSOA = PE.NRPESSOA
   AND PH.NRORG    = PE.NRORG
   AND PH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH
                             WHERE GPE_PESSOAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                               AND GPE_PESSOAH.NRPESSOA = PE.NRPESSOA
                               AND GPE_PESSOAH.NRORG = PE.NRORG)
  /*Empregador*/
  LEFT JOIN ESTRUTURAH EMH ON EMH.NRORG = :P_NRORG
                     AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                 AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRCHAVE
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(PAR.NRINSCRICAOPARC,1,8)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_INIVALIDADEAMBPR" => $this->hcmParameters->getEsoIniValidPeriodProdRest(),
            "P_INIVALIDADEAMBP" => $this->hcmParameters->getEsoIniValidPeriodProducao(),
            "P_INIVALIDADEAMBNS" => $this->hcmParameters->getEsoIniValidPeriodNacioSimples(),
            "P_NRCHAVE" => $nrchave,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    
    /**
     * @param $nrestruturam
     * @param $nrchave
     * @param $nrtabela
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210VerificaMovimentacao($nrorg, $nrpessoa, $nrinscricaoparc) {
        $sql = <<<SQL
/*getDadosS1210VerificaMovimentacao*/
SELECT VM.NRORG, VM.NRVINCULOM, VM.NRPESSOA, MO.NRESTRUTURAM, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.NRTPMOVTRANSFM, MO.DTINIMOVIMENT, MO.DTFIMMOVIMENT
  FROM GPE_VINCULOM VM
  JOIN GPE_MOVIMENTACAO MO ON MO.NRORG = VM.NRORG
                          AND MO.NRVINCULOM = VM.NRVINCULOM
                          AND MO.NRTIPOESTRUTURA = 1
                          AND MO.NRTIPOTRANSFER = 1
                          AND (MO.NRTPMOVTRANSFM = 8 OR MO.NRTPMOVTRANSFM = 9)
                          AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)
   JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                     AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
   LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                     AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                               WHERE H1.NRORG = EH.NRORG
                                                 AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                 AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  WHERE VM.NRORG = :P_NRORG
    AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
    AND VM.NRPESSOA = :P_NRPESSOA
    AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210infoPgto($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb) {
        $sql = <<<SQL
/*getDadosS1210infoPgto*/
/*Pessoas sem transferência*/
SELECT /*DISTINCT*/ TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.DTOCORRENCIA DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, CFC.DTOCORRENCIA) RESC ON RESC.NRORG = IT.NRORG
                                                                        AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                                        AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
UNION /*ALL*/
/*Pessoas com tranferência de saída na competência*/
SELECT /*DISTINCT*/ TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = TRUNC(EHS.DTFIMMOVIMENT,'MONTH')
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                     
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.DTOCORRENCIA DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, CFC.DTOCORRENCIA) RESC ON RESC.NRORG = IT.NRORG
                                                                        AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                                        AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
UNION /*ALL*/
/*Pessoas com tranferência de entrada na competência*/
SELECT /*DISTINCT*/ TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND (EHN.DTINIMOVIMENT IS NOT NULL AND CF.DTOCORRENCIA >= :P_DTOCORRENCIA)
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                      
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.DTOCORRENCIA DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, CFC.DTOCORRENCIA) RESC ON RESC.NRORG = IT.NRORG
                                                                        AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                                        AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_NRORG_PADRAO" => $this->hcmParameters->getNrorgPadrao(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210infoPgtoTransfEntr($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210infoPgtoTransfEntr*/
SELECT DISTINCT TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND (EHN.DTINIMOVIMENT IS NOT NULL AND CF.DTOCORRENCIA >= :P_DTOCORRENCIA)
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                      
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                      AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_NRORG_PADRAO" => $this->hcmParameters->getNrorgPadrao(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210infoPgtoTransfSaid($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210infoPgtoTransfSaid*/
SELECT DISTINCT TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = TRUNC(EHS.DTFIMMOVIMENT,'MONTH')
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                     
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                      AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_NRORG_PADRAO" => $this->hcmParameters->getNrorgPadrao(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210infoPgtoSemTransf($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210infoPgtoSemTransf*/
SELECT DISTINCT TO_CHAR(IT.DTOCORRENCIA, 'YYYY-MM-DD') dtPgto,
       DECODE(IT.NREVENTOM, 3050, CASE WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1' ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END, CASE WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' WHEN (CALCULORESC.NRCALCULOFOLHA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) tpPgto,
       DECODE(NVL(EP.CDPAIS,'0055'),'0055','S','N') indResBr,
       /*detPgtoFl getDadosS1210detPgtoFl*/
       /*detPgtoBenPr getDadosS1210detPgtoBenPr*/
       /*detPgtoFer getDadosS1210detPgtoFer*/
       /*detPgtoAnt getDadosS1210detPgtoAnt*/
       VM.NRORG, VM.NRPESSOA, IT.DTOCORRENCIA, :P_NRTABELA NRTABELA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPAMBIENTE AS NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB, DECODE(VM.DTRESCISAOVINC,NULL,NULL,CF.DTOCORRENCIA) DTOCORRECALC,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN GPE_PESSOA PE ON PE.NRORG = VM.NRORG
                    AND PE.NRPESSOA = VM.NRPESSOA
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND TRUNC(IT.DTOCORRENCIA,'MONTH') = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,2,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < :P_DTOCORRENCIA
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
                                                      AND RESC.DTOCORRENCIACALC < CF.DTOCORRENCIA
   /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, CFC.NRCALCULOFOLHA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM, ITC.DTOCORRENCIA, CFC.NRCALCULOFOLHA) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                                                                   AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                                                                   AND TRUNC(CALCULORESC.DTOCORRENCIA,'MONTH') = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ENDERECOPARC EP ON EP.NRORG = PE.NRORG
                           AND EP.NRPARCNEGOCIO = PE.NRPARCNEGOCIO
                           AND EP.CDTIPOENDERECO = 'PRINCIPAL'
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND (((VM.DTRESCISAOVINC IS NULL OR VM.DTRESCISAOVINC >= :P_DTMESCOMPETENC) AND IT.NREVENTOM = 3030) OR (VM.DTRESCISAOVINC <= LAST_DAY(:P_DTMESCOMPETENC) AND IT.NREVENTOM = 3050))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = :P_NRORG_PADRAO)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRCALCULOFOLHA = CF.NRCALCULOFOLHA
                 AND ITC.NRORG = CF.NRORG
                 AND ITC.NRVINCULOM = VM.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_NRORG_PADRAO" => $this->hcmParameters->getNrorgPadrao(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoFl($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $tppgto, $inivalidadeamb, $dtocorrecalc) {
        $sql = <<<SQL
/*getDadosS1210detPgtoFl*/
/*Pessoas sem transferência*/
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE ''  END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'', TO_CHAR(CF.DTOCORRENCIA, CASE WHEN CF.NRTIPOMOVIMENT = 4 AND CF.NROCORRECAL = 1 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' THEN 'YYYY' ELSE 'YYYY-MM' END)) END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL  THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                          
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
UNION ALL
/*Pessoas com tranferência de saída na competência*/
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE '' END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'',TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,DECODE(TO_CHAR(CF.DTOCORRENCIA,'MM'),'12','YYYY','YYYY-MM'),'YYYY-MM')))END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = TRUNC(EHS.DTFIMMOVIMENT,'MONTH')
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
  /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                        
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
UNION ALL
/*Pessoas com tranferência de entrada na competência*/
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE '' END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'',TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,DECODE(TO_CHAR(CF.DTOCORRENCIA,'MM'),'12','YYYY','YYYY-MM'),'YYYY-MM')))END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND (EHN.DTINIMOVIMENT IS NOT NULL AND CF.DTOCORRENCIA = FIRST_DAY(TO_DATE(:P_DTOCORRENCIA)))
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
  /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                          
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_TPPGTO" => $tppgto,
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_DTOCORRECALC" => $dtocorrecalc
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoFlTransfEntr($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $tppgto, $inivalidadeamb, $dtocorrecalc, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210detPgtoFlTransfEntr*/
SELECT perRef,
       ideDmDev,
       indPgtoTt,
       SUM(vrLiq) vrLiq,
       nrRecArq,
       NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
FROM (
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE '' END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'',TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,DECODE(TO_CHAR(CF.DTOCORRENCIA,'MM'),'12','YYYY','YYYY-MM'),'YYYY-MM')))END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND (EHN.DTINIMOVIMENT IS NOT NULL AND CF.DTOCORRENCIA = FIRST_DAY(TO_DATE(:P_DTOCORRENCIA)))
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
  /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                          
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
)
GROUP BY perRef, ideDmDev, indPgtoTt, nrRecArq,
         NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_TPPGTO" => $tppgto,
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_DTOCORRECALC" => $dtocorrecalc,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoFlTransfSaid($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $tppgto, $inivalidadeamb, $dtocorrecalc, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210detPgtoFlTransfSaid*/
SELECT perRef,
       ideDmDev,
       indPgtoTt,
       SUM(vrLiq) vrLiq,
       nrRecArq,
       NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
FROM (
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE '' END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'',TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,DECODE(TO_CHAR(CF.DTOCORRENCIA,'MM'),'12','YYYY','YYYY-MM'),'YYYY-MM')))END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
                          AND CF.DTOCORRENCIA = TRUNC(EHS.DTFIMMOVIMENT,'MONTH')
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
  /*Busca cálculo para verificar se é um adiantamento com rescisão*/
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                        
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
)
GROUP BY perRef, ideDmDev, indPgtoTt, nrRecArq,
         NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_TPPGTO" => $tppgto,
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_DTOCORRECALC" => $dtocorrecalc,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoFlSemTransf($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $tppgto, $inivalidadeamb, $dtocorrecalc, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210detPgtoFlSemTransf*/
SELECT perRef,
       ideDmDev,
       indPgtoTt,
       SUM(vrLiq) vrLiq,
       nrRecArq,
       NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
FROM (
SELECT DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM') ELSE ''  END, CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL THEN '' ELSE DECODE(CF.NRTIPOMOVIMENT,2,'', TO_CHAR(CF.DTOCORRENCIA, CASE WHEN CF.NRTIPOMOVIMENT = 4 AND CF.NROCORRECAL = 1 AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12' THEN 'YYYY' ELSE 'YYYY-MM' END)) END) perRef,
       CF.NRCALCULOFOLHA ideDmDev,
       'S' indPgtoTt,
       ROUND(DECODE(IT.NREVENTOM,3030,IT.VREVENTOFOLHA,3040,IT.VREVENTOFOLHA,3050,IT.VREVENTOFOLHA,0),2) vrLiq,
       DECODE(IT.NREVENTOM,3050,CASE WHEN (VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA AND TO_CHAR(RESC.DTOCORRENCIACALC,'YYYY-MM') <> TO_CHAR(CF.DTOCORRENCIA,'YYYY-MM')) OR TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '' ELSE ENV.NRRECIBO2 END,CASE WHEN ENV.NRRECIBO2 IS NOT NULL AND RESC.DTOCORRENCIA IS NULL AND CF.DTOCORRENCIA = FIRST_DAY(VM.DTRESCISAOVINC) AND ENVIODT.NRENVIO IS NULL  THEN ENV.NRRECIBO2 ELSE '' END) nrRecArq,
       /*retPgtoTot getDadosS1210retPgtoTot*/
       /*infoPgtoParc*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, CF.NRTIPOMOVIMENT, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT IN (1,4,10,19)
                          AND CF.NRTPMODALIDCAL = 1
  /*Busca rescisão anterior em caso de complementar*/
  LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(ITC.DTOCORRENCIA) DTOCORRENCIA, MAX(CFC.DTOCORRENCIA) DTOCORRENCIACALC
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
                AND TRUNC(ITC.DTOCORRENCIA,'MONTH') < TRUNC(TO_DATE(:P_DTOCORRECALC),'MONTH')
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) RESC ON RESC.NRORG = IT.NRORG
                                                      AND RESC.NRVINCULOM = IT.NRVINCULOM
   LEFT JOIN (SELECT ITC.NRORG, ITC.NRVINCULOM, MAX(TRUNC(ITC.DTOCORRENCIA,'MONTH')) DTOCORRENCIA
               FROM FPA_ITECALCFOLHA ITC
               JOIN FPA_CALCULOFOLHA CFC ON CFC.NRORG = ITC.NRORG
                                        AND CFC.NRCALCULOFOLHA = ITC.NRCALCULOFOLHA
                                        AND CFC.NRTIPOMOVIMENT = 1
                                        AND CFC.NRTPMODALIDCAL = 1
              WHERE ITC.NRORG = :P_NRORG
                AND ITC.NREVENTOM = 3050
              GROUP BY ITC.NRORG, ITC.NRVINCULOM) CALCULORESC ON CALCULORESC.NRORG = IT.NRORG
                                                             AND CALCULORESC.NRVINCULOM = IT.NRVINCULOM
                                                             AND CALCULORESC.DTOCORRENCIA = TRUNC(CF.DTOCORRENCIA,'MONTH')
  LEFT JOIN ESO_ENVIOCADASTROS ENV ON ENV.NRORG = VM.NRORG
                                  AND ENV.NRESTRUTURAM = VH.NRESTRUTLEGAL
                                  AND ENV.NRCHAVE = VM.NRVINCULOM
                                  AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                                  AND ENV.IDATIVO = 'S'
                                  AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                                  AND ENV.NRENVIOEXCL IS NULL
                                  AND ENV.NREVENTO IN (SELECT EVE.NREVENTO FROM ESO_EVENTO EVE
                                                        WHERE EVE.NREVENTO = ENV.NREVENTO
                                                          AND EVE.NMEVENTO = DECODE(VM.NRTIPOVINCULOM,1,'S-2299','S-2399'))
  /*Verifica se o 13 foi enviado no S-1200 ou no S-2299*/
  LEFT JOIN (SELECT EC.*
               FROM ESO_ENVIOCADASTROS EC
               LEFT JOIN ESTRUTURAH ESH ON ESH.NRORG = EC.NRORG
                                  AND ESH.NRESTRUTURAM = EC.NRESTRUTURAM
                                  AND SUBSTR(ESH.CDCNPJESTRUT, 1, 8) =  SUBSTR(:P_NRINSCRICAOPARC, 1,8)
                                  AND ESH.DTMESCOMPETENC = (SELECT MAX(ESHH.DTMESCOMPETENC)
                                                              FROM ESTRUTURAH ESHH
                                                             WHERE ESHH.NRORG = ESH.NRORG
                                                               AND ESHH.NRESTRUTURAM = ESH.NRESTRUTURAM
                                                               AND ESHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE EC.IDSTATUS IN ('C', 'A')
                AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
                AND EC.NRTABELA = 4
                AND TRUNC(TO_DATE(EC.DTMESCOMPETENC), 'YEAR') = TRUNC(TO_DATE(:P_DTMESCOMPETENC), 'YEAR')
                AND EC.NRENVIOEXCL IS NULL
                AND ESH.NRESTRUTURAM IS NOT NULL
                AND EC.IDATIVO = 'S'
                AND EC.NREVENTO IN (SELECT SE.NREVENTO
                                      FROM ESO_EVENTO SE
                                     WHERE SE.NMEVENTO = 'S-1200')) ENVIODT ON ENVIODT.NRCHAVE = VM.NRPESSOA 
                                                                           AND ENVIODT.NRORG = VM.NRORG
                                                                           AND ENVIODT.NRTABELA  = CF.NRTIPOMOVIMENT
                                                                           AND TO_CHAR(CF.DTOCORRENCIA,'MM') = '12'
                                                                           AND CF.NROCORRECAL = 1                                                          
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND DECODE(IT.NREVENTOM,3050,CASE 
                           WHEN VM.DTRESCISAOVINC < :P_INIVALIDADEAMB THEN '9' 
                           WHEN VM.DTRESCISAOVINC <= RESC.DTOCORRENCIA THEN '1' 
                           WHEN TRUNC(VM.DTRESCISAOVINC,'MM') < CF.DTOCORRENCIA THEN '1'
                           ELSE DECODE(VM.NRTIPOVINCULOM,1,'2','3') END,
                         CASE 
                           WHEN CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') THEN '9' 
                           WHEN (CALCULORESC.DTOCORRENCIA IS NOT NULL OR TRUNC(TO_DATE(VM.DTRESCISAOVINC),'MONTH') = TO_DATE(CF.DTOCORRENCIA))  AND CF.NRTIPOMOVIMENT <> 2 AND ENVIODT.NRENVIO IS NULL THEN DECODE(VM.NRTIPOVINCULOM,1,'2','3') 
                           ELSE DECODE(CF.NRTIPOMOVIMENT,2,'7','1') END) = :P_TPPGTO
   AND EXISTS(SELECT 1 
                FROM FPA_ITECALCFOLHA ITC
                JOIN FPA_EVENTOH EH ON EH.NREVENTOM = ITC.NREVENTOM
                                   AND (EH.NRORG = ITC.NRORG OR EH.NRORG = 0)
                                   AND EH.DTMESCOMPETENC = (SELECT MAX(EHH.DTMESCOMPETENC)
                                                              FROM FPA_EVENTOH EHH
                                                             WHERE EHH.NREVENTOM = EH.NREVENTOM
                                                               AND EHH.NRORG = EH.NRORG
                                                               AND EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
                JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
               WHERE ITC.NRORG = IT.NRORG
                 AND ITC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                 AND ITC.NRVINCULOM = IT.NRVINCULOM
                 AND ITC.VREVENTOFOLHA > 0
                 AND ((ITC.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) )
)
GROUP BY perRef, ideDmDev, indPgtoTt, nrRecArq,
         NRORG, NRPESSOA, NRCALCULOFOLHA, NRTIPOMOVIMENT, NRINSCRICAOPARC, NRTPMOVTRANSFM
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_TPPGTO" => $tppgto,
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_DTOCORRECALC" => $dtocorrecalc,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210retPgtoTot($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nrtipomoviment) {
        $sql = <<<SQL
/*getDadosS1210retPgtoTot*/
/*Pessoas sem transferência*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                         AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                         AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                   WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                     AND H1.NRORG = EH.NRORG
                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
UNION ALL
/*Pessoas com tranferência de saída na competência*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                         AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                         AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                   WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                     AND H1.NRORG = EH.NRORG
                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
UNION ALL
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                          AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                          AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                    WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                      AND H1.NRORG = EH.NRORG
                                                      AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM                      
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NRTIPOMOVIMENT" => $nrtipomoviment,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210retPgtoTotTransfEntr($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nrtipomoviment, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210retPgtoTotTransfEntr*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                          AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                          AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                    WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                      AND H1.NRORG = EH.NRORG
                                                      AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM                      
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NRTIPOMOVIMENT" => $nrtipomoviment,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210retPgtoTotTransfSaid($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nrtipomoviment, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210retPgtoTotTransfSaid*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                         AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                         AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                   WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                     AND H1.NRORG = EH.NRORG
                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NRTIPOMOVIMENT" => $nrtipomoviment,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210retPgtoTotSemTransf($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nrtipomoviment, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210retPgtoTotSemTransf*/
SELECT IT.NREVENTOM AS codRubr,
       CASE WHEN TO_NUMBER(TO_CHAR(TO_DATE(:P_DTMESCOMPETENC),'MM')) BETWEEN 1 AND 11 AND :P_NRTIPOMOVIMENT = 4 THEN '22' ELSE :P_NRTIPOMOVIMENT END AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EVH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, IT.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                         AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                         AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                   WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                     AND H1.NRORG = EH.NRORG
                                                     AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
                     /*AND EM.IDTIPOEVENTO IN ('PROVENTO','DESCONTO','ENCARGO')*/
                     /*AND EM.NREVENTOM IN (1300,1310,1320,1330,1331,1332,1340,1350,1360,1370,1380,1390,1395,1400,1410,1420,1430,1435,1440,1450,1452,1460)*/
  JOIN FPA_EVENTOH EVH ON EVH.NRORG = EM.NRORG
                     AND EVH.NREVENTOM = EM.NREVENTOM
                     AND EVH.NRNATURUBR IS NOT NULL
                     AND EVH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EVH.NREVENTOM
                                                  AND EHH.NRORG = EVH.NRORG)
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EVH.IDEVENTODEMONST = 'N') OR (EVH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON (TI.NRORG = :P_NRORG OR TI.NRORG = 0)
                                AND TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||:P_NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
                                 AND INC.DSNRTIPOINCIDE IS NOT NULL
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (31, 32, 33, 34, 35, 51, 52, 53, 54, 55, 81, 82, 83) /*codIncIRRF*/
 ORDER BY 1
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NRTIPOMOVIMENT" => $nrtipomoviment,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210penAlim($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nreventom) {
        $sql = <<<SQL
/*getDadosS1210penAlim*/
/*Pessoas sem transferência*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
UNION ALL
/*Pessoas com tranferência de saída na competência*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
UNION ALL
/*Pessoas com tranferência de entrada na competência*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NREVENTOM" => $nreventom,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210penAlimTransfEntr($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nreventom, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210penAlimTransfEntr*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
                                                                                                   AND SUBSTR(EHN.CDCNPJESTRUT,1,8) = SUBSTR(EH.CDCNPJESTRUT,1,8)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NREVENTOM" => $nreventom,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210penAlimTransfSaid($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nreventom, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210penAlimTransfSaid*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentacao de saida*/
  JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                  AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) <> SUBSTR(EH.CDCNPJESTRUT,1,8)
   AND SUBSTR(EHS.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NREVENTOM" => $nreventom,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210penAlimSemTransf($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha, $nreventom, $nrtpmovtransfm) {
        $sql = <<<SQL
/*getDadosS1210penAlimSemTransf*/
SELECT PD.NRCPFPESSOA cpfBenef,
       TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD') dtNasctoBenef,
       PD.NMPESSOA nmBenefic,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vlrPensao,
       :P_NRTPMOVTRANSFM NRTPMOVTRANSFM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Movimentação de entrada*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 8
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHN ON EHN.NRORG = VH.NRORG
                                                                                                   AND EHN.NRVINCULOM = VH.NRVINCULOM
  /*Movimentacao de saida*/
  LEFT JOIN (SELECT MO.NRORG, MO.NRESTRUTURAM, MO.NRVINCULOM, MO.DTFIMMOVIMENT, EM.NMESTRUTURAM, EH.CDCNPJESTRUT, MO.DTINIMOVIMENT
               FROM GPE_MOVIMENTACAO MO
               JOIN ESTRUTURAM EM ON EM.NRORG = MO.NRORG
                                 AND EM.NRESTRUTURAM = MO.NRESTRUTURAM
               LEFT JOIN ESTRUTURAH EH ON EH.NRORG = EM.NRORG
                                 AND EH.NRESTRUTURAM = EM.NRESTRUTURAM
                                 AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                                           WHERE H1.NRORG = EH.NRORG
                                                             AND H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                             AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
              WHERE MO.NRORG = :P_NRORG
                AND MO.NRTIPOESTRUTURA = 1
                AND MO.NRTIPOTRANSFER = 1
                AND MO.NRTPMOVTRANSFM = 9
                AND SUBSTR(EH.CDCNPJESTRUT,1,8) <> SUBSTR(:P_NRINSCRICAOPARC,1,8)
                AND MO.DTINIMOVIMENT BETWEEN :P_DTMESCOMPETENC AND LAST_DAY(:P_DTMESCOMPETENC)) EHS ON EHS.NRORG = VH.NRORG
                                                                                                   AND EHS.NRVINCULOM = VH.NRVINCULOM
  /*Beneficiario*/
  JOIN FPA_DEPVINCULO PA ON PA.NRORG = VM.NRORG
                        AND PA.NRVINCULOM = VM.NRVINCULOM
                        AND PA.NRTIPODEPENDE = 3 /*Pensao Judicial*/
  JOIN GPE_PESSOAH PD ON PD.NRORG = PA.NRORG
                     AND PD.NRPESSOA = PA.NRPESSOA
                     AND PD.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_PESSOAH H1
                                                WHERE H1.NRPESSOA = PD.NRPESSOA
                                                  AND H1.NRORG = PD.NRORG
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
  /*Incidência Pensão*/
  JOIN FPA_INCIDEVENTO IE ON (IE.NRORG = IT.NRORG OR IE.NRORG = 0)
                         AND IE.NREVENTOM = IT.NREVENTOM
                         AND IE.NRTIPOINCIDE IN (76,132) /*DIRF - RTPA, INCIDE PENSAO FERIAS*/
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND EHN.DTINIMOVIMENT IS NULL AND EHS.DTINIMOVIMENT IS NULL
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.NREVENTOM = :P_NREVENTOM
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT MAX(INC.CDESOCIAL)
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)) IN (51, 52, 53, 54, 55) /*codIncIRRF - Pensao*/
 GROUP BY PD.NRCPFPESSOA, TO_CHAR(PD.DTNASCPESSOA, 'YYYY-MM-DD'), PD.NMPESSOA
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
            "P_NREVENTOM" => $nreventom,
            "P_NRTPMOVTRANSFM" => $nrtpmovtransfm,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $tppgto
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoFer($nrorg, $nrpessoa, $nrinscricaoparc, $dtocorrencia) {
        $sql = <<<SQL
/*getDadosS1210detPgtoFer*/
SELECT CE.CDESOCIAL AS codCateg,
       CASE WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','301','302','303','305','306','307','308','309') THEN NVL(VH.CDMATRICULAESOCIAL, VM.NRVINCULOM) ELSE '' END AS matricula,
       TO_CHAR(GO.DTINIGOZOFERIAS, 'YYYY-MM-DD') AS dtIniGoz,
       GO.DTFIMGOZOFERIAS - GO.DTINIGOZOFERIAS + 1 AS qtDias,
       SUM(ROUND(IT.VREVENTOFOLHA,2)) vrLiq,
       /*detRubrFer getDadosS1210detRubrFer*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Remuneracao*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM = 3030
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT = 2
                          AND CF.NRTPMODALIDCAL = 1
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  /*Ferias*/
  JOIN FPA_FERIAS FE ON FE.NRORG = VM.NRORG
                    AND FE.NRVINCULOM = VM.NRVINCULOM
                    AND FE.IDCONTROLFERIAS IN ('GOZADO_INTEGRAL','GOZADO_PARCIAL')
  JOIN FPA_GOZOFERIAS GO ON GO.NRORG = FE.NRORG
                        AND GO.NRFERIAS = FE.NRFERIAS
                        /*Compara a quantidade de dias de gozo com a soma das referencias dos evento 210 e 220 para facilitar relacionar o gozo com o pagamento*/
                        /*AND (GO.DTFIMGOZOFERIAS - GO.DTINIGOZOFERIAS + 1) = (SELECT SUM(IC.VRREFFOLHA)
                                                                               FROM FPA_ITECALCFOLHA IC
                                                                              WHERE IC.NRORG = IT.NRORG
                                                                                AND IC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                                                                                AND IC.NRVINCULOM = IT.NRVINCULOM
                                                                                AND IC.NREVENTOM IN (210,220))
                        AND GO.DTINIGOZOFERIAS = (SELECT MIN(GH.DTINIGOZOFERIAS) FROM FPA_GOZOFERIAS GH
                                                   WHERE GH.NRORG = FE.NRORG
                                                     AND GH.NRFERIAS = FE.NRFERIAS
                                                     AND IT.DTOCORRENCIA BETWEEN GH.DTINIGOZOFERIAS-30 AND LAST_DAY(GH.DTINIGOZOFERIAS)+7)*/
                        /*Novo modo usando o relacionamento entre o período de gozo e seus lançamentos - 09/09/2020*/
                        AND (((GO.DTFIMGOZOFERIAS - GO.DTINIGOZOFERIAS + 1) = (SELECT SUM(IC.VRREFFOLHA)
                                                                               FROM FPA_ITECALCFOLHA IC
                                                                              WHERE IC.NRORG = IT.NRORG
                                                                                AND IC.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                                                                                AND IC.NRVINCULOM = IT.NRVINCULOM
                                                                                AND IC.NREVENTOM IN (210,220))
                        AND GO.DTINIGOZOFERIAS = (SELECT MIN(GH.DTINIGOZOFERIAS) FROM FPA_GOZOFERIAS GH
                                                   WHERE GH.NRORG = FE.NRORG
                                                     AND GH.NRFERIAS = FE.NRFERIAS
                                                     AND IT.DTOCORRENCIA BETWEEN GH.DTINIGOZOFERIAS-30 AND LAST_DAY(GH.DTINIGOZOFERIAS)+7) AND IT.NRGOZOFERIAS IS NULL)
                          OR (GO.NRGOZOFERIAS = IT.NRGOZOFERIAS AND IT.NRGOZOFERIAS IS NOT NULL))
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
 GROUP BY CE.CDESOCIAL,
       CASE WHEN CE.CDESOCIAL IN ('101','102','103','104','105','106','111','301','302','303','305','306','307','308','309') THEN NVL(VH.CDMATRICULAESOCIAL, VM.NRVINCULOM) ELSE '' END,
       TO_CHAR(GO.DTINIGOZOFERIAS, 'YYYY-MM-DD'),
       GO.DTFIMGOZOFERIAS - GO.DTINIGOZOFERIAS + 1,
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, :P_NRINSCRICAOPARC
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $nrcalculofolha
     * @return array    Associative array
     */
    public function getDadosS1210detRubrFer($nrorg, $nrpessoa, $nrinscricaoparc, $nrcalculofolha) {
        $sql = <<<SQL
/*getDadosS1210detRubrFer*/
SELECT IT.NREVENTOM AS codRubr,
       CF.NRTIPOMOVIMENT AS ideTabrubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', IT.VRREFFOLHA),2) AS qtdRubr,
       ROUND(EH.VRPERCENTUALEVENTO,2) AS fatorRubr,
       ROUND(DECODE(IT.VRREFFOLHA, 0, '', (IT.VREVENTOFOLHA / IT.VRREFFOLHA)),2) AS vrUnit,
       ROUND(IT.VREVENTOFOLHA,2) AS vrRubr,
       /*penAlim getDadosS1210penAlim*/
       VM.NRORG, VM.NRPESSOA, CF.NRCALCULOFOLHA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, IT.NREVENTOM
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Pagamentos*/
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  JOIN FPA_EVENTOH EH ON EH.NRORG = EM.NRORG
                     AND EH.NREVENTOM = EM.NREVENTOM
                     AND EH.DTMESCOMPETENC  = (SELECT MAX(EHH.DTMESCOMPETENC) FROM FPA_EVENTOH EHH
                                                WHERE EHH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND EHH.NREVENTOM = EH.NREVENTOM
                                                  AND EHH.NRORG = EH.NRORG)
  /*Natureza da Rubrica*/
  JOIN NATUREZARUBRICA NR ON NR.NRNATURUBR = EH.NRNATURUBR
 WHERE VM.NRORG = :P_NRORG
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
   AND CF.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
   AND IT.VREVENTOFOLHA > 0
   AND ((IT.IDEVENDEMONCALC = 'N' AND EH.IDEVENTODEMONST = 'N') OR (EH.IDEVENTODEMONST = 'S')) /*SE NÃO DEMONSTRATIVO NO CADASTRO E DEMONSTRATIVO NA FOLHA NÃO ENVIA*/
   AND (SELECT NVL(MAX(INC.CDESOCIAL),'00')
          FROM FPA_INCIDEVENTO IE
          JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
                                AND INSTR(','||TI.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
          JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
         WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
           AND IE.NREVENTOM = IT.NREVENTOM
           AND IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47)) IN (00, 01, 09, 13, 33, 43, 46, 53, 63, 75, 93) /*codIncIRRF*/
 ORDER BY IT.NREVENTOM
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210detPgtoAnt($nrorg, $nrpessoa, $nrinscricaoparc, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb) {
        $sql = <<<SQL
/*getDadosS1210detPgtoAnt*/
SELECT DISTINCT CE.CDESOCIAL AS codCateg,
       VM.NRORG, VM.NRPESSOA, :P_NRINSCRICAOPARC NRINSCRICAOPARC, :P_NRTABELA NRTABELA, :P_DTOCORRENCIA DTOCORRENCIA, :P_NRTPAMBIENTE NRTPAMBIENTE, :P_INIVALIDADEAMB INIVALIDADEAMB
       /*getDadosS1210infoPgtoAnt*/
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
                          AND IT.NREVENTOM IN (3030,3050)
                          AND IT.DTOCORRENCIA = :P_DTOCORRENCIA
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRTIPOMOVIMENT = 1
                          AND CF.NRTPMODALIDCAL = 1
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  LEFT JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND ((VM.DTRESCISAOVINC < :P_INIVALIDADEAMB AND IT.NREVENTOM = 3050) OR (CF.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') AND IT.NREVENTOM = 3030))
   AND VM.NRPESSOA = :P_NRPESSOA
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrorg
     * @param $nrpessoa
     * @param $nrinscricaoparc
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @return array    Associative array
     */
    public function getDadosS1210infoPgtoAnt($nrorg, $nrpessoa, $nrinscricaoparc, $codcateg, $nrtabela, $dtocorrencia, $nrtpambiente, $inivalidadeamb) {
        $sql = <<<SQL
/*getDadosS1210infoPgtoAnt*/
SELECT NVL(IRRF.CDESOCIAL,'00') AS tpBcIRRF,
       ROUND(SUM(IT.VREVENTOFOLHA * DECODE(IRRF.IDINCIDEVENTO,'-',-1,1)),2) AS vrBcIRRF
  FROM GPE_VINCULOM VM
  JOIN GPE_VINCULOH VH ON VH.NRORG = VM.NRORG
                      AND VH.NRVINCULOM = VM.NRVINCULOM
                      AND VH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM GPE_VINCULOH H1
                                                WHERE H1.NRVINCULOM = VH.NRVINCULOM
                                                  AND H1.NRORG = VH.NRORG
                                                  AND H1.DTMESCOMPETENC >= ADD_MONTHS(TRUNC(TO_DATE(:P_DTMESCOMPETENC),'YEAR'),-12)
                                                  AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  /*Categoria Trabalhador*/
  JOIN GPE_VINCULOEMPREG VE ON VE.NRVINCULOEMPREG = VM.NRVINCULOEMPREG
  JOIN GPE_CATEGTRABESOC CE ON CE.NRCATEGESOC = VE.NRCATEGESOC
  LEFT JOIN ESTRUTURAH EH ON EH.NRORG = VH.NRORG
                    AND EH.NRESTRUTURAM = VH.NRESTRUTLEGAL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH H1
                                              WHERE H1.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND H1.NRORG = EH.NRORG
                                                AND H1.DTMESCOMPETENC <= :P_DTMESCOMPETENC)
  JOIN FPA_ITECALCFOLHA IT ON IT.NRORG = VH.NRORG
                          AND IT.NRVINCULOM = VH.NRVINCULOM
  JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = IT.NRORG
                          AND CF.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                          AND CF.NRCALCULOFOLHA = (SELECT MAX(CA.NRCALCULOFOLHA)
                                                     FROM FPA_CALCULOFOLHA CA
                                                     JOIN FPA_ITECALCFOLHA IC ON IC.NRORG = CA.NRORG
                                                                             AND IC.NRCALCULOFOLHA = CA.NRCALCULOFOLHA
                                                    WHERE CA.NRORG = IT.NRORG
                                                      AND CA.NRCALCULOFOLHA = IT.NRCALCULOFOLHA
                                                      AND CA.NRTIPOMOVIMENT = 1
                                                      AND CA.NRTPMODALIDCAL = 1
                                                      AND IC.NRVINCULOM = IT.NRVINCULOM
                                                      --AND IC.NREVENTOM IN (3030,3050)
                                                      AND ((VM.DTRESCISAOVINC < :P_INIVALIDADEAMB AND IC.NREVENTOM = 3050) OR (CA.DTOCORRENCIA < TRUNC(TO_DATE(:P_INIVALIDADEAMB),'MM') AND IC.NREVENTOM = 3030))
                                                      AND IC.DTOCORRENCIA = :P_DTOCORRENCIA)
  /*Rubrica*/
  JOIN FPA_EVENTOM EM ON (EM.NRORG = IT.NRORG OR EM.NRORG = 0)
                     AND EM.NREVENTOM = IT.NREVENTOM
  /*IRRF NOVO*/
  LEFT JOIN (SELECT IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, IE.IDINCIDEVENTO, MAX(INC.CDESOCIAL) AS CDESOCIAL
               FROM FPA_INCIDEVENTO IE
               JOIN FPA_TIPOINCIDE TI ON TI.NRTIPOINCIDE = IE.NRTIPOINCIDE
               JOIN INCIDENCIAIRRF INC ON INSTR(','||INC.DSNRTIPOINCIDE||',',','||TI.NRTIPOINCIDE||',') > 0
              WHERE (IE.NRORG = :P_NRORG OR IE.NRORG = 0)
                AND (IE.NRTIPOINCIDE IN (SELECT NRTIPOINCIDE 
                                      FROM FPA_GRPITEM 
                                     WHERE NRGRPINCIDE = 47) OR TI.DSNRTIPOMOVIMENT IS NOT NULL)
                AND INC.CDESOCIAL IS NOT NULL
              GROUP BY IE.NREVENTOM, TI.DSNRTIPOMOVIMENT, IE.IDINCIDEVENTO
             ) IRRF ON IRRF.NREVENTOM = EM.NREVENTOM
                   AND INSTR(','||IRRF.DSNRTIPOMOVIMENT||',',','||CF.NRTIPOMOVIMENT||',') > 0
 WHERE VM.NRORG = :P_NRORG
   AND VM.DTADMISSAOVINC <= LAST_DAY(:P_DTMESCOMPETENC)
   AND VM.NRPESSOA = :P_NRPESSOA
   AND CE.CDESOCIAL = :P_CODCATEG
   AND SUBSTR(EH.CDCNPJESTRUT,1,8) = SUBSTR(:P_NRINSCRICAOPARC,1,8)
 GROUP BY NVL(IRRF.CDESOCIAL,'00')
 HAVING ROUND(SUM(IT.VREVENTOFOLHA * DECODE(IRRF.IDINCIDEVENTO,'-',-1,1)),2) > 0
SQL;
        $params = array(
            "P_NRORG" => $nrorg,
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_INIVALIDADEAMB" => $inivalidadeamb,
            "P_NRPESSOA" => $nrpessoa,
            "P_NRINSCRICAOPARC" => $nrinscricaoparc,
            "P_CODCATEG" => $codcateg,
            "P_DTOCORRENCIA" => $dtocorrencia
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1250($nrchave, $nrtabela) {
        $sql = <<<SQL
/*getDadosS1250*/
SELECT PR.NRESTRUTESTAB NRCHAVE,
       /*ideEvento*/
       :P_NRTABELA as indApuracao,
       TO_CHAR(PR.DTMESCOMPETENC,'YYYY-MM') as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,
       /*infoAquisProd*/
       /*ideEstabAdquir*/
       DECODE(PN.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') AS tpInscAdq,
       PN.NRINSCRICAOPARC AS nrInscAdq
       /*tpAquis*/
  FROM ESO_AQUIPRODRURAL PR
  JOIN ESTRUTURAH EMH ON EMH.NRORG = PR.NRORG
                     AND EMH.NRESTRUTURAM = PR.NRESTRUTEMPREG
                     AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                                WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                  AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                                  AND ESTRUTURAH.NRORG = EMH.NRORG)
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  JOIN ESTRUTURAH EH ON EH.NRORG = PR.NRORG
                     AND EH.NRESTRUTURAM = PR.NRESTRUTEMPREG
                     AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                               WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                 AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                 AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN PARCNEGOCIO PN ON PN.NRPARCNEGOCIO = EH.NRPARCNEGOCIO
                      AND PN.NRORG = EH.NRORG
 WHERE PR.NRORG = :P_NRORG
   AND PR.DTMESCOMPETENC = :P_DTMESCOMPETENC
   AND PR.NRESTRUTESTAB = :P_NRESTRUTESTAB
   AND ROWNUM = 1
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTESTAB" => $nrchave,
            "P_NRTABELA" => $nrtabela,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1250tpAquis($nrchave) {
        $sql = <<<SQL
/*getDadosS1250tpAquis*/
SELECT PR.NRINDAQUIS indAquis,
       SUM(PR.VRBRUTOAQUIS) vlrTotAquis,
       /*ideProdutor*/
       PR.NRESTRUTESTAB
  FROM ESO_AQUIPRODRURAL PR
 WHERE PR.NRORG = :P_NRORG
   AND PR.DTMESCOMPETENC = :P_DTMESCOMPETENC
   AND PR.NRESTRUTESTAB = :P_NRESTRUTESTAB
 GROUP BY PR.NRESTRUTESTAB, PR.NRINDAQUIS
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTESTAB" => $nrchave,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1250ideProdutor($nrchave, $indaquis) {
        $sql = <<<SQL
/*getDadosS1250ideProdutor*/
SELECT DECODE(PR.CDINSCPROD,'CNPJ','1','CPF','2','') tpInscProd,
       PR.NRINSCPROD nrInscProd,
       PR.VRBRUTOAQUIS vlrBruto,
       PR.VRCPDESCPR vrCPDescPR,
       PR.VRRATDESCPR vrRatDescPR,
       PR.VRSENARDESC vrSenarDesc,
       PR.IDINDOPCCP indOpcCP
  FROM ESO_AQUIPRODRURAL PR
 WHERE PR.NRORG = :P_NRORG
   AND PR.DTMESCOMPETENC = :P_DTMESCOMPETENC
   AND PR.NRESTRUTESTAB = :P_NRESTRUTESTAB
   AND PR.NRINDAQUIS = :P_NRINDAQUIS
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTESTAB" => $nrchave,
            "P_NRINDAQUIS" => $indaquis,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1280($nrestruturam, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
SELECT DISTINCT EMH.NRESTRUTURAM CHAVE,
       /*ideEvento*/
       DECODE(CF.NRTIPOMOVIMENT,1,1,10,1,19,1,4,2) as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,
       /*infoSubstPatr*/
       DECODE(EMH.IDOPTSIMPLES,'S','',DECODE(CT.CDESOCIAL,'01','1','2')) AS indSubstPatr,
       DECODE(EMH.IDOPTSIMPLES,'S','',EMH.VRALIQDESON) AS percRedContrib,
       /*infoSubstPatrOpPort*/
       /*infoAtivConcom*/
       DECODE(EMH.IDOPTSIMPLES,'S',EMH.VRALIQDESON,'') AS fatorMes,
       DECODE(EMH.IDOPTSIMPLES,'S',EMH.VRALIQDESON,'') AS fator13
  FROM ESTRUTURAH EMH
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  JOIN CLASSTRIBUT CT ON CT.NRCLASSTRIBUT = EMH.NRCLASSTRIBUT
  /*Movimento*/
  LEFT JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = EMH.NRORG
                               AND CF.NRTIPOMOVIMENT = :P_NRTABELA
                               AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                               AND CF.NRTPMODALIDCAL = 1
                               AND CF.NROCORRECAL = 1
 WHERE EMH.NRORG = :P_NRORG
   AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
   AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                AND ESTRUTURAH.NRORG = EMH.NRORG)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1295($nrestruturam, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
SELECT DISTINCT EMH.NRESTRUTURAM CHAVE,
       /*ideEvento*/
       DECODE(CF.NRTIPOMOVIMENT,1,1,10,1,19,1,4,2) as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,    
       /*ideRespInf*/
       PR.NMPRINCIPALPARC nmResp,
       REPLACE(REPLACE(PR.NRINSCRICAOPARC, '.'), '-') AS cpfResp,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PR.NRORG
           AND C.NRPARCNEGOCIO = PR.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '01') telefone, -- 01=Telefone Principal
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PR.NRORG
           AND C.NRPARCNEGOCIO = PR.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '05') email -- 05=Email
  FROM ESTRUTURAH EMH
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Movimento*/
  LEFT JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = EMH.NRORG
                               AND CF.NRTIPOMOVIMENT = :P_NRTABELA
                               AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                               AND CF.NRTPMODALIDCAL = 1
                               AND CF.NROCORRECAL = 1
  /*Responsável Legal da Estrutura*/
  LEFT JOIN ESO_PARAMETRO EP ON EP.NRORG = EMH.NRORG
                            AND EP.NRESTRUTURAM = EMH.NRESTRUTURAM
  LEFT JOIN PARCNEGOCIO PR ON PR.NRORG = EP.NRORG
                          AND PR.NRPARCNEGOCIO = EP.NRPARCRESPPERI
 WHERE EMH.NRORG = :P_NRORG
   AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
   AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                AND ESTRUTURAH.NRORG = EMH.NRORG)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1298($nrestruturam, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
SELECT DISTINCT EMH.NRESTRUTURAM CHAVE,
       /*ideEvento*/
       DECODE(CF.NRTIPOMOVIMENT,1,1,10,1,19,1,4,2) as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC
  FROM ESTRUTURAH EMH
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Movimento*/
  LEFT JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = EMH.NRORG
                               AND CF.NRTIPOMOVIMENT = :P_NRTABELA
                               AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                               AND CF.NRTPMODALIDCAL = 1
                               AND CF.NROCORRECAL = 1
 WHERE EMH.NRORG = :P_NRORG
   AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
   AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                AND ESTRUTURAH.NRORG = EMH.NRORG)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrchave
     * @param $nrtabela
     * @param $dtocorrencia
     * @param $nrtpambiente
     * @param $idfechasmoviment
     * @return array    Associative array
     */
    public function getDadosS1299($nrestruturam, $nrchave, $nrtabela, $dtocorrencia, $nrtpambiente, $idfechasmoviment) {
        $sql = <<<SQL
SELECT DISTINCT EMH.NRESTRUTURAM CHAVE,
       /*ideEvento*/
       DECODE(CF.NRTIPOMOVIMENT,1,1,10,1,19,1,4,2) as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,    
       /*ideRespInf*/
       PR.NMPRINCIPALPARC nmResp,
       REPLACE(REPLACE(PR.NRINSCRICAOPARC, '.'), '-') AS cpfResp,
       (SELECT MAX(C.CDPREFIXCOMUPARC||C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PR.NRORG
           AND C.NRPARCNEGOCIO = PR.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '01') telefone, -- 01=Telefone Principal
       (SELECT MAX(C.CDCOMUNICAPARC)
          FROM COMUNICAPARC C
          LEFT JOIN FORMACOMU F ON F.CDFORMACOMU = C.CDFORMACOMU
         WHERE C.NRORG = PR.NRORG
           AND C.NRPARCNEGOCIO = PR.NRPARCNEGOCIO
           AND F.CDFORMACOMU = '05') email, -- 05=Email
       /*infoFech*/
       CASE WHEN NVL(ENV.S1200,0) + NVL(ENV.S2299,0) + NVL(ENV.S2399,0) > 0 THEN 'S' ELSE 'N' END evtRemun,
       CASE WHEN NVL(ENV.S1210,0) > 0 THEN 'S' ELSE 'N' END evtPgtos,
       CASE WHEN NVL(ENV.S1250,0) > 0 THEN 'S' ELSE 'N' END evtAqProd,
       CASE WHEN NVL(ENV.S1260,0) > 0 THEN 'S' ELSE 'N' END evtComProd,
       CASE WHEN NVL(ENV.S1270,0) > 0 THEN 'S' ELSE 'N' END evtContratAvNP,
       CASE WHEN NVL(ENV.S1280,0) > 0 THEN 'S' ELSE 'N' END evtInfoComplPer,
       CASE WHEN :P_IDFECHASMOVIMENT = 'S' 
        THEN
           (SELECT TO_CHAR(NVL(MIN(EC.DTMESCOMPETENC), :P_DTMESCOMPETENC),'YYYY-MM') FROM ESO_ENVIOCADASTROS EC
              JOIN ESO_EVENTO EV ON EV.NREVENTO = EC.NREVENTO
             WHERE EC.NRORG = EMH.NRORG
               AND EC.NRESTRUTURAM = EMH.NRESTRUTURAM
               AND EC.NRTPAMBIENTE = :P_NRTPAMBIENTE
               AND EC.IDFECHASMOVIMENT = 'S'
               AND EV.NMEVENTO = 'S-1299')
        ELSE
            NULL
        END compSemMovto
  FROM ESTRUTURAH EMH
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Movimento*/
  LEFT JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = EMH.NRORG
                               AND CF.NRTIPOMOVIMENT = :P_NRTABELA
                               AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                               AND CF.NRTPMODALIDCAL = 1
                               AND CF.NROCORRECAL = 1
  /*Responsável Legal da Estrutura*/
  LEFT JOIN ESO_PARAMETRO EP ON EP.NRORG = EMH.NRORG
                            AND EP.NRESTRUTURAM = EMH.NRESTRUTURAM
  LEFT JOIN PARCNEGOCIO PR ON PR.NRORG = EP.NRORG
                          AND PR.NRPARCNEGOCIO = EP.NRPARCRESPPERI
  /*Informações do Fechamento*/
  LEFT JOIN (SELECT PRIN.NRORG, PRIN.NRESTRUTURAM,
                    NVL(PRIN.S1200,0) S1200,
                    NVL(PRIN.S1210,0) S1210,
                    NVL(PRIN.S1250,0) S1250,
                    NVL(PRIN.S1260,0) S1260,
                    NVL(PRIN.S1270,0) S1270,
                    NVL(PRIN.S1280,0) S1280,
                    NVL(PRIN.S2299,0) S2299,
                    NVL(PRIN.S2399,0) S2399
               FROM (
                 SELECT * FROM (
                     SELECT ENV.NRORG, ENV.NRESTRUTURAM, EVE.NMEVENTO, COUNT(ENV.NRENVIO) QTDE
                       FROM ESO_ENVIOCADASTROS ENV
                       JOIN ESO_EVENTO EVE ON EVE.NREVENTO = ENV.NREVENTO
                      WHERE ENV.NRORG = :P_NRORG
                        AND ENV.NRESTRUTURAM = :P_NRESTRUTURAM
                        AND ENV.NRTPAMBIENTE = :P_NRTPAMBIENTE
                        AND ENV.DTMESCOMPETENC = :P_DTMESCOMPETENC
                        AND ENV.IDATIVO = 'S'
                        AND ENV.NRTABELA = :P_NRTABELA
                        AND ENV.NRENVIOEXCL IS NULL
                        AND (ENV.IDSTATUS = 'C' OR ENV.IDSTATUS = 'A')
                        AND (EVE.NMEVENTO IN ('S-1200','S-1210','S-1250','S-1260','S-1270','S-1280','S-2299','S-2399'))
                      GROUP BY ENV.NRORG, ENV.NRESTRUTURAM, EVE.NMEVENTO
                 ) PIVOT (SUM(QTDE)
                     FOR NMEVENTO IN ('S-1200' AS S1200, 'S-1210' AS S1210, 'S-1250' AS S1250, 'S-1260' AS S1260, 'S-1270' AS S1270, 'S-1280' AS S1280, 'S-2299' AS S2299, 'S-2399' AS S2399))
               ) PRIN
             ) ENV ON ENV.NRORG = EMH.NRORG
                  AND ENV.NRESTRUTURAM = EMH.NRESTRUTURAM
 WHERE EMH.NRORG = :P_NRORG
   AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
   AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                AND ESTRUTURAH.NRORG = EMH.NRORG)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRCHAVE" => $nrchave,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
            "P_NRTPAMBIENTE" => $nrtpambiente,
            "P_IDFECHASMOVIMENT" => $idfechasmoviment,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1300($nrestruturam, $nrtabela, $dtocorrencia) {
        $sql = <<<SQL
SELECT DISTINCT EMH.NRESTRUTURAM CHAVE,
       /*ideEvento*/
       DECODE(CF.NRTIPOMOVIMENT,1,1,2) as indApuracao,
       TO_CHAR(CF.DTOCORRENCIA, DECODE(CF.NRTIPOMOVIMENT,4,'YYYY','YYYY-MM')) as perApur,
       /*ideEmpregador*/
       DECODE(PAR.CDTIPOINSCRICAO,'CNPJ','1','CPF','2','') TPINSC,
       CASE WHEN PAR.CDTIPOINSCRICAO = 'CPF' OR EMH.CDNATUJURI IN ('1015','1040','1074','1163') THEN PAR.NRINSCRICAOPARC ELSE SUBSTR(PAR.NRINSCRICAOPARC,1,8) END NRINSC,
       /*contribSind --getDadosS1300contribSind*/
       EMH.NRORG, EMH.NRESTRUTURAM, CF.NRCALCULOFOLHA
  FROM ESTRUTURAH EMH
  JOIN PARCNEGOCIO PAR ON PAR.NRPARCNEGOCIO = EMH.NRPARCNEGOCIO
                      AND PAR.NRORG = EMH.NRORG
  /*Movimento*/
  LEFT JOIN FPA_CALCULOFOLHA CF ON CF.NRORG = EMH.NRORG
                               AND CF.NRTIPOMOVIMENT = :P_NRTABELA
                               AND CF.DTOCORRENCIA = :P_DTOCORRENCIA
                               AND CF.NRTPMODALIDCAL = 1
                               AND CF.NROCORRECAL = 1
 WHERE EMH.NRORG = :P_NRORG
   AND EMH.NRESTRUTURAM = :P_NRESTRUTURAM
   AND EMH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                AND ESTRUTURAH.NRESTRUTURAM = EMH.NRESTRUTURAM
                                AND ESTRUTURAH.NRORG = EMH.NRORG)
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRTABELA" => $nrtabela,
            "P_DTOCORRENCIA" => $dtocorrencia,
        );
        return $this->connection->fetchAssoc($sql, $params);
    }
    
    /**
     * @param $nrestruturam
     * @param $nrtabela
     * @param $dtocorrencia
     * @return array    Associative array
     */
    public function getDadosS1300contribSind($nrorg, $nrestruturam, $nrcalculofolha) {
        $sql = <<<SQL
SELECT REPLACE(REPLACE(REPLACE(EH.CDCNPJESTRUT,'.'),'/'),'-') AS cnpjSindic,
       DECODE(IT.NREVENTOM,1060,1,1065,3,1070,2,1075,4) AS tpContribSind,
       SUM(ROUND(IT.VRLANCESTRUTURA,2)) AS vlrContribSind
  FROM TIPOHIERARQORG TH
  JOIN HIERARQUIAORG HO ON HO.NRORG = TH.NRORG
                       AND HO.NRTIPOHIERARQORG = TH.NRTIPOHIERARQORG
  JOIN ESTRUTURAH EH ON EH.NRORG = HO.NRORG
                    AND EH.NRESTRUTURAM = HO.NRESTRUTURAMREL
                    AND EH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC) FROM ESTRUTURAH
                                              WHERE ESTRUTURAH.DTMESCOMPETENC <= :P_DTMESCOMPETENC
                                                AND ESTRUTURAH.NRESTRUTURAM = EH.NRESTRUTURAM
                                                AND ESTRUTURAH.NRORG = EH.NRORG)
  JOIN FPA_ITECALCESTRUT IT ON IT.NRORG = HO.NRORG
                           AND IT.NRESTRUTURAM = HO.NRESTRUTURAMSUP
                           AND IT.NRCALCULOFOLHA = :P_NRCALCULOFOLHA
                           AND IT.NREVENTOM IN (1060, 1065, 1070, 1075)
 WHERE TH.NRORG = :P_NRORG
   AND TH.NRTIPOESTRUTSUP = :P_NRTIPOESTRUTLEGAL
   AND TH.NRTIPOESTRUTREL = 39
   AND HO.NRESTRUTURAMSUP = :P_NRESTRUTURAM
 GROUP BY REPLACE(REPLACE(REPLACE(EH.CDCNPJESTRUT,'.'),'/'),'-'), DECODE(IT.NREVENTOM,1060,1,1065,3,1070,2,1075,4)
 ORDER BY 1, 2
SQL;
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_DTMESCOMPETENC" => $this->hcmParameters->getDtCompetencia(),
            "P_NRTIPOESTRUTLEGAL" => $this->hcmParameters->getTipoEstruturaLegalOrg(),
            "P_NRESTRUTURAM" => $nrestruturam,
            "P_NRCALCULOFOLHA" => $nrcalculofolha,
        );
        return $this->connection->fetchAll($sql, $params);
    }
    
}